CREATE SEQUENCE "public"."trep_sta_detail_id" 
INCREMENT 1
MINVALUE  1
MAXVALUE 9223372036854775807
START 1
CACHE 1;

CREATE SEQUENCE "public"."trep_sta_hdetail_aid_seq" 
INCREMENT 1
MINVALUE  1
MAXVALUE 9223372036854775807
START 1
CACHE 1;

CREATE TABLE "public"."hs_asset_extension" (
  "id" uuid NOT NULL,
  "bg_images" varchar(100000) COLLATE "pg_catalog"."default",
  "logo_icon" varchar(255) COLLATE "pg_catalog"."default",
  "logo_images" varchar(1000000) COLLATE "pg_catalog"."default",
  "created_user" uuid,
  "created_time" int8 NOT NULL,
  "updated_time" varchar(255) COLLATE "pg_catalog"."default",
  "updated_user" uuid,
  "tenant_id" uuid NOT NULL,
  CONSTRAINT "hs_asset_extension_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_asset_extension" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_asset_extension"."id" IS '资产标识';

COMMENT ON COLUMN "public"."hs_asset_extension"."bg_images" IS '背景图片';

CREATE TABLE "public"."hs_board_manage" (
  "id" uuid NOT NULL,
  "name" varchar(255) COLLATE "pg_catalog"."default",
  "url" varchar(255) COLLATE "pg_catalog"."default",
  "images" varchar(10000000) COLLATE "pg_catalog"."default",
  "created_time" int8,
  "created_user" uuid,
  "tenant_id" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  "sort" int4 DEFAULT 0,
  CONSTRAINT "hs_board_manage_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_board_manage" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_board_manage"."name" IS '看板名称';

COMMENT ON COLUMN "public"."hs_board_manage"."url" IS '看板地址';

COMMENT ON COLUMN "public"."hs_board_manage"."images" IS '看板缩略图';

COMMENT ON COLUMN "public"."hs_board_manage"."sort" IS '排序值';

COMMENT ON TABLE "public"."hs_board_manage" IS '看板配置管理';

CREATE TABLE "public"."hs_board_manage_role" (
  "id" uuid NOT NULL,
  "board_id" uuid,
  "role_id" uuid,
  "images" varchar(10000000) COLLATE "pg_catalog"."default",
  "created_time" int8,
  "created_user" uuid,
  "tenant_id" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  CONSTRAINT "hs_board_manage_copy1_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_board_manage_role" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_board_manage_role"."id" IS '主键';

COMMENT ON COLUMN "public"."hs_board_manage_role"."board_id" IS '看板标识';

COMMENT ON COLUMN "public"."hs_board_manage_role"."role_id" IS '角色标识';

COMMENT ON COLUMN "public"."hs_board_manage_role"."images" IS '看板缩略图';

COMMENT ON TABLE "public"."hs_board_manage_role" IS '看板角色关系';

CREATE TABLE "public"."hs_config_table" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "created_user" uuid,
  "tenant_id" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  "key" varchar(255) COLLATE "pg_catalog"."default",
  "notes" varchar(255) COLLATE "pg_catalog"."default",
  "json_value" varchar COLLATE "pg_catalog"."default",
  CONSTRAINT "hs_config_table_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_config_table" OWNER TO "postgres";

CREATE TABLE "public"."hs_customer_extension" (
  "id" uuid NOT NULL,
  "logo_icon" varchar(2000000) COLLATE "pg_catalog"."default",
  "logo_images" varchar(1000000) COLLATE "pg_catalog"."default",
  "remark" varchar(1000) COLLATE "pg_catalog"."default",
  "tenant_id" uuid NOT NULL,
  "updated_time" varchar(255) COLLATE "pg_catalog"."default",
  "updated_user" uuid,
  "created_time" varchar(255) COLLATE "pg_catalog"."default",
  "created_user" uuid,
  "sort" int4 DEFAULT 1000,
  CONSTRAINT "hs_customer_extension_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_customer_extension" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_customer_extension"."id" IS '客户标识（工厂标识）';

CREATE TABLE "public"."hs_db_conf" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "tenant_id" uuid NOT NULL,
  "host" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "port" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "user" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "password" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "database" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  CONSTRAINT "hs_device_syn_conf_copy1_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_db_conf" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_db_conf"."id" IS '设备标识';

COMMENT ON COLUMN "public"."hs_db_conf"."created_time" IS '创建时间';

COMMENT ON COLUMN "public"."hs_db_conf"."tenant_id" IS '租户';

COMMENT ON COLUMN "public"."hs_db_conf"."host" IS '地址';

COMMENT ON COLUMN "public"."hs_db_conf"."port" IS '端口';

COMMENT ON COLUMN "public"."hs_db_conf"."user" IS '用户';

COMMENT ON COLUMN "public"."hs_db_conf"."password" IS '密码';

COMMENT ON COLUMN "public"."hs_db_conf"."database" IS '数据库';

COMMENT ON TABLE "public"."hs_db_conf" IS '租户同步数据到对应数据库配置表';

CREATE TABLE "public"."hs_device_electric" (
  "created_user" varchar(255) COLLATE "pg_catalog"."default",
  "updated_time" int8,
  "updated_user" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_id" uuid,
  "factory_id" uuid,
  "peak" varchar(255) COLLATE "pg_catalog"."default",
  "device_id" uuid,
  "valley" varchar(255) COLLATE "pg_catalog"."default",
  "day_used" varchar(255) COLLATE "pg_catalog"."default",
  "time" int8,
  "id" uuid NOT NULL,
  "created_time" int8,
  "group_id" uuid,
  "workshop_id" uuid,
  "gateway_id" uuid,
  CONSTRAINT "hs_device_electric_pkey" PRIMARY KEY ("id"),
  CONSTRAINT "uk_device_electric" UNIQUE ("device_id", "time")
)
;

ALTER TABLE "public"."hs_device_electric" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_device_electric"."created_user" IS '创建人';

COMMENT ON COLUMN "public"."hs_device_electric"."updated_time" IS '更新时间';

COMMENT ON COLUMN "public"."hs_device_electric"."updated_user" IS '更新人';

COMMENT ON COLUMN "public"."hs_device_electric"."tenant_id" IS '租户Id';

COMMENT ON COLUMN "public"."hs_device_electric"."factory_id" IS '工厂id';

COMMENT ON COLUMN "public"."hs_device_electric"."peak" IS '峰用电';

COMMENT ON COLUMN "public"."hs_device_electric"."device_id" IS '设备Id';

COMMENT ON COLUMN "public"."hs_device_electric"."valley" IS '谷用电';

COMMENT ON COLUMN "public"."hs_device_electric"."day_used" IS '总日用电';

COMMENT ON COLUMN "public"."hs_device_electric"."time" IS '时间';

COMMENT ON COLUMN "public"."hs_device_electric"."id" IS 'Id';

COMMENT ON COLUMN "public"."hs_device_electric"."created_time" IS '创建时间';

COMMENT ON COLUMN "public"."hs_device_electric"."group_id" IS '分组id';

COMMENT ON COLUMN "public"."hs_device_electric"."workshop_id" IS '车间id';

COMMENT ON COLUMN "public"."hs_device_electric"."gateway_id" IS '网关id';

CREATE TABLE "public"."hs_device_electric_hour" (
  "created_user" varchar(255) COLLATE "pg_catalog"."default",
  "updated_time" int8,
  "updated_user" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_id" uuid,
  "factory_id" uuid,
  "peak" varchar(255) COLLATE "pg_catalog"."default",
  "device_id" uuid,
  "valley" varchar(255) COLLATE "pg_catalog"."default",
  "hour_used" varchar(255) COLLATE "pg_catalog"."default",
  "time" int8,
  "id" uuid NOT NULL,
  "created_time" int8,
  "hour_time" int8,
  "value" varchar(255) COLLATE "pg_catalog"."default",
  "group_id" uuid,
  "workshop_id" uuid,
  "gateway_id" uuid,
  CONSTRAINT "hs_device_electric_hour_pkey" PRIMARY KEY ("id"),
  CONSTRAINT "uk_device_electric_hour" UNIQUE ("device_id", "hour_time")
)
;

ALTER TABLE "public"."hs_device_electric_hour" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_device_electric_hour"."created_user" IS '创建人';

COMMENT ON COLUMN "public"."hs_device_electric_hour"."updated_time" IS '更新时间';

COMMENT ON COLUMN "public"."hs_device_electric_hour"."updated_user" IS '更新人';

COMMENT ON COLUMN "public"."hs_device_electric_hour"."tenant_id" IS '租户Id';

COMMENT ON COLUMN "public"."hs_device_electric_hour"."factory_id" IS '工厂id';

COMMENT ON COLUMN "public"."hs_device_electric_hour"."peak" IS '峰用电';

COMMENT ON COLUMN "public"."hs_device_electric_hour"."device_id" IS '设备Id';

COMMENT ON COLUMN "public"."hs_device_electric_hour"."valley" IS '谷用电';

COMMENT ON COLUMN "public"."hs_device_electric_hour"."hour_used" IS '小时用电';

COMMENT ON COLUMN "public"."hs_device_electric_hour"."time" IS '时间';

COMMENT ON COLUMN "public"."hs_device_electric_hour"."created_time" IS '创建时间';

COMMENT ON COLUMN "public"."hs_device_electric_hour"."hour_time" IS '小时';

COMMENT ON COLUMN "public"."hs_device_electric_hour"."value" IS '值';

COMMENT ON COLUMN "public"."hs_device_electric_hour"."group_id" IS '分组id';

COMMENT ON COLUMN "public"."hs_device_electric_hour"."workshop_id" IS '车间id';

COMMENT ON COLUMN "public"."hs_device_electric_hour"."gateway_id" IS '网关id';

CREATE TABLE "public"."hs_device_energy_day" (
  "created_user" varchar(255) COLLATE "pg_catalog"."default",
  "updated_time" int8,
  "updated_user" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_id" uuid,
  "device_id" uuid,
  "used" varchar(255) COLLATE "pg_catalog"."default",
  "time" int8,
  "id" uuid NOT NULL,
  "created_time" int8,
  "type" varchar(255) COLLATE "pg_catalog"."default",
  "peak" varchar(255) COLLATE "pg_catalog"."default",
  "valley" varchar(255) COLLATE "pg_catalog"."default",
  "dimension" varchar(255) COLLATE "pg_catalog"."default",
  CONSTRAINT "hs_evice_energy_day_pkey" PRIMARY KEY ("id"),
  CONSTRAINT "uk_hs_device_energy_day" UNIQUE ("type", "device_id", "time", "tenant_id", "dimension")
)
;

ALTER TABLE "public"."hs_device_energy_day" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_device_energy_day"."created_user" IS '创建人';

COMMENT ON COLUMN "public"."hs_device_energy_day"."updated_time" IS '更新时间';

COMMENT ON COLUMN "public"."hs_device_energy_day"."updated_user" IS '更新人';

COMMENT ON COLUMN "public"."hs_device_energy_day"."tenant_id" IS '租户Id';

COMMENT ON COLUMN "public"."hs_device_energy_day"."device_id" IS '设备Id';

COMMENT ON COLUMN "public"."hs_device_energy_day"."used" IS '日用';

COMMENT ON COLUMN "public"."hs_device_energy_day"."time" IS '时间';

COMMENT ON COLUMN "public"."hs_device_energy_day"."id" IS 'Id';

COMMENT ON COLUMN "public"."hs_device_energy_day"."created_time" IS '创建时间';

COMMENT ON COLUMN "public"."hs_device_energy_day"."type" IS '类型';

COMMENT ON COLUMN "public"."hs_device_energy_day"."peak" IS '峰用';

COMMENT ON COLUMN "public"."hs_device_energy_day"."valley" IS '谷用';

COMMENT ON COLUMN "public"."hs_device_energy_day"."dimension" IS '维度';

CREATE TABLE "public"."hs_device_energy_hour" (
  "created_user" varchar(255) COLLATE "pg_catalog"."default",
  "updated_time" int8,
  "updated_user" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_id" uuid,
  "device_id" uuid,
  "used" varchar(255) COLLATE "pg_catalog"."default",
  "id" uuid NOT NULL,
  "created_time" int8,
  "time" int8,
  "value" varchar(255) COLLATE "pg_catalog"."default",
  "type" varchar(255) COLLATE "pg_catalog"."default",
  "peak" varchar(255) COLLATE "pg_catalog"."default",
  "valley" varchar(255) COLLATE "pg_catalog"."default",
  CONSTRAINT "hs_device_device_energy_hour_pkey" PRIMARY KEY ("id"),
  CONSTRAINT "uk_device_energy_hour" UNIQUE ("type", "device_id", "time", "tenant_id")
)
;

ALTER TABLE "public"."hs_device_energy_hour" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_device_energy_hour"."created_user" IS '创建人';

COMMENT ON COLUMN "public"."hs_device_energy_hour"."updated_time" IS '更新时间';

COMMENT ON COLUMN "public"."hs_device_energy_hour"."updated_user" IS '更新人';

COMMENT ON COLUMN "public"."hs_device_energy_hour"."tenant_id" IS '租户Id';

COMMENT ON COLUMN "public"."hs_device_energy_hour"."device_id" IS '设备Id';

COMMENT ON COLUMN "public"."hs_device_energy_hour"."used" IS '小时用电';

COMMENT ON COLUMN "public"."hs_device_energy_hour"."id" IS 'id';

COMMENT ON COLUMN "public"."hs_device_energy_hour"."created_time" IS '创建时间';

COMMENT ON COLUMN "public"."hs_device_energy_hour"."time" IS '小时';

COMMENT ON COLUMN "public"."hs_device_energy_hour"."value" IS '值';

COMMENT ON COLUMN "public"."hs_device_energy_hour"."type" IS '类型';

COMMENT ON COLUMN "public"."hs_device_energy_hour"."peak" IS '峰用';

COMMENT ON COLUMN "public"."hs_device_energy_hour"."valley" IS '谷用';

CREATE TABLE "public"."hs_device_extension" (
  "id" uuid NOT NULL,
  "workshop_id" uuid,
  "group_id" uuid,
  "picture" varchar(10000000) COLLATE "pg_catalog"."default",
  "icon" varchar(255) COLLATE "pg_catalog"."default",
  "created_user" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  "comment" varchar(255) COLLATE "pg_catalog"."default",
  "sn" varchar(255) COLLATE "pg_catalog"."default",
  "device_type" varchar(255) COLLATE "pg_catalog"."default",
  "created_time" int8,
  "factory_id" uuid,
  "tenant_id" uuid NOT NULL,
  "sort" int4 DEFAULT 1000,
  "model_id" uuid,
  CONSTRAINT "hs_device_ extension_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_device_extension" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_device_extension"."id" IS '设备标识';

COMMENT ON COLUMN "public"."hs_device_extension"."workshop_id" IS '车间标识';

COMMENT ON COLUMN "public"."hs_device_extension"."group_id" IS '分组标识';

COMMENT ON COLUMN "public"."hs_device_extension"."picture" IS '图片';

COMMENT ON COLUMN "public"."hs_device_extension"."icon" IS '图标';

COMMENT ON COLUMN "public"."hs_device_extension"."comment" IS '备注';

COMMENT ON COLUMN "public"."hs_device_extension"."device_type" IS '设备类型';

COMMENT ON COLUMN "public"."hs_device_extension"."created_time" IS '创建时间';

COMMENT ON COLUMN "public"."hs_device_extension"."factory_id" IS '工厂标识(客户标识)';

COMMENT ON COLUMN "public"."hs_device_extension"."sort" IS '排序';

COMMENT ON COLUMN "public"."hs_device_extension"."model_id" IS '模型id';

COMMENT ON TABLE "public"."hs_device_extension" IS '设备信息扩展表';

CREATE TABLE "public"."hs_device_gas" (
  "created_user" varchar(255) COLLATE "pg_catalog"."default",
  "updated_time" int8,
  "updated_user" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_id" uuid,
  "factory_id" uuid,
  "device_id" uuid,
  "day_used" varchar(255) COLLATE "pg_catalog"."default",
  "time" int8,
  "id" uuid NOT NULL,
  "created_time" int8,
  "group_id" uuid,
  "workshop_id" uuid,
  "gateway_id" uuid,
  CONSTRAINT "hs_device_gas_pkey" PRIMARY KEY ("id"),
  CONSTRAINT "uk_device_gas" UNIQUE ("device_id", "time")
)
;

ALTER TABLE "public"."hs_device_gas" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_device_gas"."created_user" IS '创建人';

COMMENT ON COLUMN "public"."hs_device_gas"."updated_time" IS '更新时间';

COMMENT ON COLUMN "public"."hs_device_gas"."updated_user" IS '更新人';

COMMENT ON COLUMN "public"."hs_device_gas"."tenant_id" IS '租户Id';

COMMENT ON COLUMN "public"."hs_device_gas"."factory_id" IS '工厂id';

COMMENT ON COLUMN "public"."hs_device_gas"."device_id" IS '设备Id';

COMMENT ON COLUMN "public"."hs_device_gas"."day_used" IS '总日用水';

COMMENT ON COLUMN "public"."hs_device_gas"."time" IS '时间';

COMMENT ON COLUMN "public"."hs_device_gas"."id" IS 'Id';

COMMENT ON COLUMN "public"."hs_device_gas"."created_time" IS '创建时间';

COMMENT ON COLUMN "public"."hs_device_gas"."group_id" IS '分组id';

COMMENT ON COLUMN "public"."hs_device_gas"."workshop_id" IS '车间id';

COMMENT ON COLUMN "public"."hs_device_gas"."gateway_id" IS '网关id';

CREATE TABLE "public"."hs_device_gas_hour" (
  "created_user" varchar(255) COLLATE "pg_catalog"."default",
  "updated_time" int8,
  "updated_user" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_id" uuid,
  "factory_id" uuid,
  "device_id" uuid,
  "hour_used" varchar(255) COLLATE "pg_catalog"."default",
  "time" int8,
  "id" uuid NOT NULL,
  "created_time" int8,
  "hour_time" int8,
  "value" varchar(255) COLLATE "pg_catalog"."default",
  "group_id" uuid,
  "workshop_id" uuid,
  "gateway_id" uuid,
  CONSTRAINT "hs_device_gas_hour_pkey" PRIMARY KEY ("id"),
  CONSTRAINT "uk_device_gas_hour" UNIQUE ("device_id", "hour_time")
)
;

ALTER TABLE "public"."hs_device_gas_hour" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_device_gas_hour"."value" IS '值';

COMMENT ON COLUMN "public"."hs_device_gas_hour"."group_id" IS '分组id';

COMMENT ON COLUMN "public"."hs_device_gas_hour"."workshop_id" IS '车间id';

COMMENT ON COLUMN "public"."hs_device_gas_hour"."gateway_id" IS '网关id';

CREATE TABLE "public"."hs_device_order_statistical" (
  "id" uuid NOT NULL,
  "device_id" uuid NOT NULL,
  "order_no" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "code" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "statistic_val" numeric(10,4),
  "current_val" varchar(255) COLLATE "pg_catalog"."default",
  "first_val" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "order_status" varchar(255) COLLATE "pg_catalog"."default" DEFAULT 'underway'::character varying,
  "device_name" varchar(255) COLLATE "pg_catalog"."default",
  "order_array" varchar(1000) COLLATE "pg_catalog"."default",
  "tenant_id" uuid,
  "start_time" timestamp(6),
  "end_time" timestamp(6),
  "created_time" int8,
  "updated_time" int8 NOT NULL,
  CONSTRAINT "hs_device_order_statistical_pkey" PRIMARY KEY ("id"),
  CONSTRAINT "hs_device_order_statistical_device_id_order_no_code_key" UNIQUE ("device_id", "order_no", "code")
)
;

ALTER TABLE "public"."hs_device_order_statistical" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_device_order_statistical"."device_id" IS '设备标识';

COMMENT ON COLUMN "public"."hs_device_order_statistical"."order_no" IS '订单号';

COMMENT ON COLUMN "public"."hs_device_order_statistical"."code" IS 'water-水;electric-电;vapor-蒸汽;output-产量';

COMMENT ON COLUMN "public"."hs_device_order_statistical"."statistic_val" IS '统计值';

COMMENT ON COLUMN "public"."hs_device_order_statistical"."current_val" IS '采集值';

COMMENT ON COLUMN "public"."hs_device_order_statistical"."first_val" IS '订单开始时首次采集值';

COMMENT ON COLUMN "public"."hs_device_order_statistical"."order_status" IS '订单状态（underway-进行中；close-结束）';

COMMENT ON COLUMN "public"."hs_device_order_statistical"."device_name" IS '设备名称';

COMMENT ON COLUMN "public"."hs_device_order_statistical"."order_array" IS '订单明细';

COMMENT ON COLUMN "public"."hs_device_order_statistical"."tenant_id" IS '租户标识';

COMMENT ON COLUMN "public"."hs_device_order_statistical"."start_time" IS '开始时间';

COMMENT ON COLUMN "public"."hs_device_order_statistical"."end_time" IS '结束时间';

COMMENT ON COLUMN "public"."hs_device_order_statistical"."created_time" IS '创建时间戳';

COMMENT ON COLUMN "public"."hs_device_order_statistical"."updated_time" IS '修改时间戳';

COMMENT ON TABLE "public"."hs_device_order_statistical" IS '统计设备订单的能耗产量(kafka)

';

CREATE TABLE "public"."hs_device_switch" (
  "created_user" varchar(255) COLLATE "pg_catalog"."default",
  "updated_time" int8,
  "updated_user" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_id" uuid,
  "factory_id" uuid,
  "device_id" uuid,
  "time" int8,
  "id" uuid NOT NULL,
  "created_time" int8,
  "off_line_time" int8,
  "group_id" uuid,
  "workshop_id" uuid,
  "gateway_id" uuid,
  "off_switch_time" int8,
  "on_switch_time" int8,
  "on_line_time" int8,
  CONSTRAINT "hs_device_switch_pkey" PRIMARY KEY ("id"),
  CONSTRAINT "uk_device_switch" UNIQUE ("device_id", "time")
)
;

ALTER TABLE "public"."hs_device_switch" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_device_switch"."created_user" IS '创建人';

COMMENT ON COLUMN "public"."hs_device_switch"."updated_time" IS '更新时间';

COMMENT ON COLUMN "public"."hs_device_switch"."updated_user" IS '更新人';

COMMENT ON COLUMN "public"."hs_device_switch"."tenant_id" IS '租户Id';

COMMENT ON COLUMN "public"."hs_device_switch"."factory_id" IS '工厂id';

COMMENT ON COLUMN "public"."hs_device_switch"."device_id" IS '设备Id';

COMMENT ON COLUMN "public"."hs_device_switch"."time" IS '时间';

COMMENT ON COLUMN "public"."hs_device_switch"."id" IS 'Id';

COMMENT ON COLUMN "public"."hs_device_switch"."created_time" IS '创建时间';

COMMENT ON COLUMN "public"."hs_device_switch"."off_line_time" IS '离线时长';

COMMENT ON COLUMN "public"."hs_device_switch"."group_id" IS '分组id';

COMMENT ON COLUMN "public"."hs_device_switch"."workshop_id" IS '车间id';

COMMENT ON COLUMN "public"."hs_device_switch"."gateway_id" IS '网关id';

COMMENT ON COLUMN "public"."hs_device_switch"."off_switch_time" IS '停机时长';

COMMENT ON COLUMN "public"."hs_device_switch"."on_switch_time" IS '开机时长';

COMMENT ON COLUMN "public"."hs_device_switch"."on_line_time" IS '在线时长';

CREATE TABLE "public"."hs_device_switch_hour" (
  "created_user" varchar(255) COLLATE "pg_catalog"."default",
  "updated_time" int8,
  "updated_user" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_id" uuid,
  "device_id" uuid,
  "hour_time" int8,
  "time" int8,
  "id" uuid NOT NULL,
  "created_time" int8,
  "factory_id" uuid,
  "group_id" uuid,
  "workshop_id" uuid,
  "gateway_id" uuid,
  "off_line_time" int8,
  "off_switch_time" int8,
  "on_switch_time" int8,
  "on_line_time" int8,
  CONSTRAINT "hs_device_switch_hour_pkey" PRIMARY KEY ("id"),
  CONSTRAINT "uk_device_switch_hour" UNIQUE ("device_id", "hour_time")
)
;

ALTER TABLE "public"."hs_device_switch_hour" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_device_switch_hour"."created_user" IS '创建人';

COMMENT ON COLUMN "public"."hs_device_switch_hour"."updated_time" IS '更新时间';

COMMENT ON COLUMN "public"."hs_device_switch_hour"."updated_user" IS '更新人';

COMMENT ON COLUMN "public"."hs_device_switch_hour"."tenant_id" IS '租户Id';

COMMENT ON COLUMN "public"."hs_device_switch_hour"."device_id" IS '设备Id';

COMMENT ON COLUMN "public"."hs_device_switch_hour"."hour_time" IS '小时';

COMMENT ON COLUMN "public"."hs_device_switch_hour"."time" IS '时间';

COMMENT ON COLUMN "public"."hs_device_switch_hour"."id" IS 'Id';

COMMENT ON COLUMN "public"."hs_device_switch_hour"."created_time" IS '创建时间';

COMMENT ON COLUMN "public"."hs_device_switch_hour"."factory_id" IS '工厂Id';

COMMENT ON COLUMN "public"."hs_device_switch_hour"."group_id" IS '分组id';

COMMENT ON COLUMN "public"."hs_device_switch_hour"."workshop_id" IS '车间id';

COMMENT ON COLUMN "public"."hs_device_switch_hour"."gateway_id" IS '网关id';

COMMENT ON COLUMN "public"."hs_device_switch_hour"."off_line_time" IS '离线时长';

COMMENT ON COLUMN "public"."hs_device_switch_hour"."off_switch_time" IS '停机时长';

COMMENT ON COLUMN "public"."hs_device_switch_hour"."on_switch_time" IS '开机时长';

COMMENT ON COLUMN "public"."hs_device_switch_hour"."on_line_time" IS '在线时长';

CREATE TABLE "public"."hs_device_switch_trend" (
  "created_user" varchar(255) COLLATE "pg_catalog"."default",
  "updated_time" int8,
  "updated_user" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_id" uuid,
  "factory_id" uuid,
  "device_id" uuid,
  "id" uuid NOT NULL,
  "created_time" int8,
  "group_id" uuid,
  "workshop_id" uuid,
  "gateway_id" uuid,
  "status" varchar(255) COLLATE "pg_catalog"."default",
  "start_time" int8,
  "end_time" int8,
  CONSTRAINT "hs_device_switch_trend_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_device_switch_trend" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_device_switch_trend"."created_user" IS '创建人';

COMMENT ON COLUMN "public"."hs_device_switch_trend"."updated_time" IS '更新时间';

COMMENT ON COLUMN "public"."hs_device_switch_trend"."updated_user" IS '更新人';

COMMENT ON COLUMN "public"."hs_device_switch_trend"."tenant_id" IS '租户Id';

COMMENT ON COLUMN "public"."hs_device_switch_trend"."factory_id" IS '工厂id';

COMMENT ON COLUMN "public"."hs_device_switch_trend"."device_id" IS '设备Id';

COMMENT ON COLUMN "public"."hs_device_switch_trend"."id" IS 'Id';

COMMENT ON COLUMN "public"."hs_device_switch_trend"."created_time" IS '创建时间';

COMMENT ON COLUMN "public"."hs_device_switch_trend"."group_id" IS '分组id';

COMMENT ON COLUMN "public"."hs_device_switch_trend"."workshop_id" IS '车间id';

COMMENT ON COLUMN "public"."hs_device_switch_trend"."gateway_id" IS '网关id';

COMMENT ON COLUMN "public"."hs_device_switch_trend"."status" IS '状态(OFF_LINE, OFF_SWITCH, ON_SWITCH)';

COMMENT ON COLUMN "public"."hs_device_switch_trend"."start_time" IS '开始时间';

COMMENT ON COLUMN "public"."hs_device_switch_trend"."end_time" IS '结束时间';

CREATE TABLE "public"."hs_device_syn_conf" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "tenant_id" uuid NOT NULL,
  CONSTRAINT "hs_device_extension_copy1_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_device_syn_conf" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_device_syn_conf"."id" IS '设备标识';

COMMENT ON COLUMN "public"."hs_device_syn_conf"."created_time" IS '创建时间';

COMMENT ON TABLE "public"."hs_device_syn_conf" IS '同步设备配置表';

CREATE TABLE "public"."hs_device_syn_key_conf" (
  "created_time" int8,
  "tenant_id" uuid NOT NULL,
  "key" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "key_from" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "from_table" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "key_from_str" bool NOT NULL DEFAULT true,
  CONSTRAINT "hs_device_syn_key_conf_pkey" PRIMARY KEY ("tenant_id", "key"),
  CONSTRAINT "hs_device_syn_key_conf_key_tenant_id_key" UNIQUE ("key", "tenant_id")
)
;

ALTER TABLE "public"."hs_device_syn_key_conf" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_device_syn_key_conf"."created_time" IS '创建时间';

COMMENT ON COLUMN "public"."hs_device_syn_key_conf"."tenant_id" IS '租户';

COMMENT ON COLUMN "public"."hs_device_syn_key_conf"."key" IS 'key';

COMMENT ON COLUMN "public"."hs_device_syn_key_conf"."key_from" IS '对应key';

COMMENT ON COLUMN "public"."hs_device_syn_key_conf"."from_table" IS '对应表，逗号隔开';

COMMENT ON COLUMN "public"."hs_device_syn_key_conf"."key_from_str" IS '同步key值是否当字符类型处理';

COMMENT ON TABLE "public"."hs_device_syn_key_conf" IS '同步设备配置表';

CREATE TABLE "public"."hs_device_ts" (
  "created_user" varchar(255) COLLATE "pg_catalog"."default",
  "updated_time" int8,
  "updated_user" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_id" uuid,
  "factory_id" uuid,
  "device_id" uuid,
  "num" int8,
  "time" int8,
  "id" uuid NOT NULL,
  "created_time" int8,
  "group_id" uuid,
  "workshop_id" uuid,
  "gateway_id" uuid,
  CONSTRAINT "hs_device_ts_pkey" PRIMARY KEY ("id"),
  CONSTRAINT "uk_device_ts" UNIQUE ("device_id", "time")
)
;

ALTER TABLE "public"."hs_device_ts" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_device_ts"."created_user" IS '创建人';

COMMENT ON COLUMN "public"."hs_device_ts"."updated_time" IS '更新时间';

COMMENT ON COLUMN "public"."hs_device_ts"."updated_user" IS '更新人';

COMMENT ON COLUMN "public"."hs_device_ts"."tenant_id" IS '租户Id';

COMMENT ON COLUMN "public"."hs_device_ts"."factory_id" IS '工厂id';

COMMENT ON COLUMN "public"."hs_device_ts"."device_id" IS '设备Id';

COMMENT ON COLUMN "public"."hs_device_ts"."num" IS '数量';

COMMENT ON COLUMN "public"."hs_device_ts"."time" IS '时间';

COMMENT ON COLUMN "public"."hs_device_ts"."created_time" IS '创建时间';

COMMENT ON COLUMN "public"."hs_device_ts"."group_id" IS '分组id';

COMMENT ON COLUMN "public"."hs_device_ts"."workshop_id" IS '车间id';

COMMENT ON COLUMN "public"."hs_device_ts"."gateway_id" IS '网关id';

CREATE TABLE "public"."hs_device_ts_hour" (
  "created_user" varchar(255) COLLATE "pg_catalog"."default",
  "updated_time" int8,
  "updated_user" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_id" uuid,
  "factory_id" uuid,
  "device_id" uuid,
  "num" int8,
  "time" int8,
  "hour_time" int8,
  "id" uuid NOT NULL,
  "created_time" int8,
  "group_id" uuid,
  "workshop_id" uuid,
  "gateway_id" uuid,
  "value" int8,
  CONSTRAINT "hs_device_ts_hour_pkey" PRIMARY KEY ("id"),
  CONSTRAINT "uk_device_ts_hour" UNIQUE ("device_id", "hour_time")
)
;

ALTER TABLE "public"."hs_device_ts_hour" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_device_ts_hour"."group_id" IS '分组id';

COMMENT ON COLUMN "public"."hs_device_ts_hour"."workshop_id" IS '车间id';

COMMENT ON COLUMN "public"."hs_device_ts_hour"."gateway_id" IS '网关id';

COMMENT ON COLUMN "public"."hs_device_ts_hour"."value" IS '值';

CREATE TABLE "public"."hs_device_water" (
  "created_user" varchar(255) COLLATE "pg_catalog"."default",
  "updated_time" int8,
  "updated_user" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_id" uuid,
  "factory_id" uuid,
  "device_id" uuid,
  "day_used" varchar(255) COLLATE "pg_catalog"."default",
  "time" int8,
  "id" uuid NOT NULL,
  "created_time" int8,
  "group_id" uuid,
  "workshop_id" uuid,
  "gateway_id" uuid,
  CONSTRAINT "hs_device_water_pkey" PRIMARY KEY ("id"),
  CONSTRAINT "uk_device_water" UNIQUE ("device_id", "time")
)
;

ALTER TABLE "public"."hs_device_water" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_device_water"."created_user" IS '创建人';

COMMENT ON COLUMN "public"."hs_device_water"."updated_time" IS '更新时间';

COMMENT ON COLUMN "public"."hs_device_water"."updated_user" IS '更新人';

COMMENT ON COLUMN "public"."hs_device_water"."tenant_id" IS '租户Id';

COMMENT ON COLUMN "public"."hs_device_water"."factory_id" IS '工厂id';

COMMENT ON COLUMN "public"."hs_device_water"."device_id" IS '设备Id';

COMMENT ON COLUMN "public"."hs_device_water"."day_used" IS '总日用水';

COMMENT ON COLUMN "public"."hs_device_water"."time" IS '时间';

COMMENT ON COLUMN "public"."hs_device_water"."created_time" IS '创建时间';

COMMENT ON COLUMN "public"."hs_device_water"."group_id" IS '分组id';

COMMENT ON COLUMN "public"."hs_device_water"."workshop_id" IS '车间id';

COMMENT ON COLUMN "public"."hs_device_water"."gateway_id" IS '网关id';

CREATE TABLE "public"."hs_device_water_hour" (
  "created_user" varchar(255) COLLATE "pg_catalog"."default",
  "updated_time" int8,
  "updated_user" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_id" uuid,
  "factory_id" uuid,
  "device_id" uuid,
  "hour_used" varchar(255) COLLATE "pg_catalog"."default",
  "time" int8,
  "id" uuid NOT NULL,
  "created_time" int8,
  "hour_time" int8,
  "value" varchar(255) COLLATE "pg_catalog"."default",
  "group_id" uuid,
  "workshop_id" uuid,
  "gateway_id" uuid,
  CONSTRAINT "hs_device_water_hour_pkey" PRIMARY KEY ("id"),
  CONSTRAINT "uk_device_water_hour" UNIQUE ("device_id", "hour_time")
)
;

ALTER TABLE "public"."hs_device_water_hour" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_device_water_hour"."value" IS '值';

COMMENT ON COLUMN "public"."hs_device_water_hour"."group_id" IS '分组id';

COMMENT ON COLUMN "public"."hs_device_water_hour"."workshop_id" IS '车间id';

COMMENT ON COLUMN "public"."hs_device_water_hour"."gateway_id" IS '网关id';

CREATE TABLE "public"."hs_erp_production_hour" (
  "date_hour" timestamp(6) NOT NULL,
  "latest_value" varchar(255) COLLATE "pg_catalog"."default",
  "create_time" date,
  CONSTRAINT "hs_erp_production_hour_pkey" PRIMARY KEY ("date_hour")
)
;

ALTER TABLE "public"."hs_erp_production_hour" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_erp_production_hour"."latest_value" IS '当前最新值';

COMMENT ON TABLE "public"."hs_erp_production_hour" IS 'erp小时维度表';

CREATE TABLE "public"."hs_external_interface" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "created_user" uuid,
  "tenant_id" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  "app_id" varchar(255) COLLATE "pg_catalog"."default",
  "app_key" varchar(255) COLLATE "pg_catalog"."default",
  "app_secret" varchar(255) COLLATE "pg_catalog"."default",
  "apply_name" varchar(255) COLLATE "pg_catalog"."default",
  "enable_status" bool,
  "notes" varchar(255) COLLATE "pg_catalog"."default",
  "project_describe" varchar(255) COLLATE "pg_catalog"."default",
  "project_telephone" varchar(255) COLLATE "pg_catalog"."default",
  "project_user" varchar(255) COLLATE "pg_catalog"."default",
  "statistic_value" int8,
  CONSTRAINT "hs_external_interface_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_external_interface" OWNER TO "postgres";

CREATE TABLE "public"."hs_hua_wei_isv_order" (
  "order_id" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "acceptance_time" varchar(255) COLLATE "pg_catalog"."default",
  "activity" varchar(32) COLLATE "pg_catalog"."default",
  "amount" int4,
  "auth_token" varchar(50) COLLATE "pg_catalog"."default" NOT NULL,
  "band_width" int4,
  "business_id" varchar(255) COLLATE "pg_catalog"."default",
  "charging_mode" int4,
  "customer_id" varchar(100) COLLATE "pg_catalog"."default",
  "customer_name" varchar(64) COLLATE "pg_catalog"."default",
  "disk_size" int4,
  "email" varchar(256) COLLATE "pg_catalog"."default",
  "expire_time" timestamp(6),
  "instance_id" varchar(255) COLLATE "pg_catalog"."default",
  "mobile_phone" varchar(256) COLLATE "pg_catalog"."default",
  "order_amount" numeric(19,2),
  "period_number" int4,
  "period_type" varchar(255) COLLATE "pg_catalog"."default",
  "product_id" varchar(64) COLLATE "pg_catalog"."default",
  "provision_type" int4,
  "saas_extend_params" varchar(2048) COLLATE "pg_catalog"."default",
  "sku_code" varchar(64) COLLATE "pg_catalog"."default",
  "test_flag" varchar(5) COLLATE "pg_catalog"."default",
  "time_stamp" varchar(20) COLLATE "pg_catalog"."default",
  "trial_flag" varchar(5) COLLATE "pg_catalog"."default",
  "user_id" varchar(255) COLLATE "pg_catalog"."default",
  "user_name" varchar(255) COLLATE "pg_catalog"."default",
  "trial_to_formal" varchar(20) COLLATE "pg_catalog"."default",
  "delete_type" bool DEFAULT false,
  CONSTRAINT "hs_hua_wei_isv_order_pkey" PRIMARY KEY ("order_id")
)
;

ALTER TABLE "public"."hs_hua_wei_isv_order" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_hua_wei_isv_order"."order_id" IS '云商店订单ID';

COMMENT ON COLUMN "public"."hs_hua_wei_isv_order"."activity" IS '接口请求标识，用于区分接口请求场景';

COMMENT ON COLUMN "public"."hs_hua_wei_isv_order"."amount" IS '数量类型的商品定价属性。非必填';

COMMENT ON COLUMN "public"."hs_hua_wei_isv_order"."auth_token" IS '安全校验令牌';

COMMENT ON COLUMN "public"."hs_hua_wei_isv_order"."business_id" IS '云商店业务ID。每一次请求，businessId皆不一致';

COMMENT ON COLUMN "public"."hs_hua_wei_isv_order"."charging_mode" IS '计费模式。1：表示包周期购买3：表示按次购买';

COMMENT ON COLUMN "public"."hs_hua_wei_isv_order"."customer_id" IS '客户在华为云注册账号的唯一标识';

COMMENT ON COLUMN "public"."hs_hua_wei_isv_order"."customer_name" IS '客户在华为云注册的账户名';

COMMENT ON COLUMN "public"."hs_hua_wei_isv_order"."disk_size" IS '数量类型的商品定价属性。非必填';

COMMENT ON COLUMN "public"."hs_hua_wei_isv_order"."email" IS '客户邮箱';

COMMENT ON COLUMN "public"."hs_hua_wei_isv_order"."expire_time" IS '过期时间 格式：yyyyMMddHHmmss';

COMMENT ON COLUMN "public"."hs_hua_wei_isv_order"."mobile_phone" IS '客户手机号';

COMMENT ON COLUMN "public"."hs_hua_wei_isv_order"."product_id" IS '产品标识，同一skuCode下，不同周期类型的productId不同';

COMMENT ON COLUMN "public"."hs_hua_wei_isv_order"."saas_extend_params" IS '扩展参数。非必填';

COMMENT ON COLUMN "public"."hs_hua_wei_isv_order"."test_flag" IS '是否调测数据 1：接口调测数据 不传参数：真实买家同步数据';

COMMENT ON COLUMN "public"."hs_hua_wei_isv_order"."time_stamp" IS '请求发起时的时间戳，取UTC时间 格式：yyyyMMddHHmmssSSS';

COMMENT ON COLUMN "public"."hs_hua_wei_isv_order"."trial_flag" IS '是否是开通试用实例。1：试用实例 0：非试用实例';

COMMENT ON COLUMN "public"."hs_hua_wei_isv_order"."user_id" IS '客户以IAM用户认证方式登录时对应子用户的唯一标识';

COMMENT ON COLUMN "public"."hs_hua_wei_isv_order"."user_name" IS '客户以IAM用户认证方式登录时对应子用户的唯一标识';

CREATE TABLE "public"."hs_kit_tenant_app_sync" (
  "tenant_id" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "instance_id" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "flag" varchar(255) COLLATE "pg_catalog"."default",
  "test_flag" varchar(255) COLLATE "pg_catalog"."default",
  "time_stamp" varchar(255) COLLATE "pg_catalog"."default",
  "id" uuid NOT NULL,
  "app_id" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "client_id" varchar(255) COLLATE "pg_catalog"."default",
  "client_secret" text COLLATE "pg_catalog"."default",
  CONSTRAINT "hs_kit_tenant_app_sync_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_kit_tenant_app_sync" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_kit_tenant_app_sync"."tenant_id" IS '租户id';

COMMENT ON COLUMN "public"."hs_kit_tenant_app_sync"."instance_id" IS '卖家申请应用凭证的时候传空，买家必传';

COMMENT ON COLUMN "public"."hs_kit_tenant_app_sync"."flag" IS '0-删除 1-新增';

COMMENT ON COLUMN "public"."hs_kit_tenant_app_sync"."test_flag" IS '0-生产正式数据 1-调测数据';

COMMENT ON COLUMN "public"."hs_kit_tenant_app_sync"."time_stamp" IS '默认时区东8区，时间戳,时间格式：20220420114117642';

COMMENT ON COLUMN "public"."hs_kit_tenant_app_sync"."app_id" IS '应用id';

COMMENT ON COLUMN "public"."hs_kit_tenant_app_sync"."client_id" IS '客户端id，是认证中心统一返回的ClientID';

COMMENT ON COLUMN "public"."hs_kit_tenant_app_sync"."client_secret" IS '客户端secret';

COMMENT ON TABLE "public"."hs_kit_tenant_app_sync" IS '租户应用信息同步';

CREATE TABLE "public"."hs_kit_tenant_auth_sync" (
  "tenant_id" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "instance_id" varchar(255) COLLATE "pg_catalog"."default",
  "user_list" varchar(100000) COLLATE "pg_catalog"."default" NOT NULL,
  "current_sync_time" varchar(255) COLLATE "pg_catalog"."default",
  "flag" varchar(255) COLLATE "pg_catalog"."default",
  "test_flag" varchar(255) COLLATE "pg_catalog"."default",
  "time_stamp" varchar(255) COLLATE "pg_catalog"."default",
  "id" uuid NOT NULL,
  "app_id" varchar(255) COLLATE "pg_catalog"."default",
  CONSTRAINT "hs_kit_tenant_app_sync_copy1_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_kit_tenant_auth_sync" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_kit_tenant_auth_sync"."tenant_id" IS '租户id';

COMMENT ON COLUMN "public"."hs_kit_tenant_auth_sync"."instance_id" IS '卖家申请应用凭证的时候传空，买家必传';

COMMENT ON COLUMN "public"."hs_kit_tenant_auth_sync"."user_list" IS '授权用户信心';

COMMENT ON COLUMN "public"."hs_kit_tenant_auth_sync"."current_sync_time" IS '当前同步时间';

COMMENT ON COLUMN "public"."hs_kit_tenant_auth_sync"."flag" IS '0-删除 1-新增';

COMMENT ON COLUMN "public"."hs_kit_tenant_auth_sync"."test_flag" IS '0-生产正式数据 1-调测数据';

COMMENT ON COLUMN "public"."hs_kit_tenant_auth_sync"."time_stamp" IS '默认时区东8区，时间戳,时间格式：20220420114117642';

COMMENT ON COLUMN "public"."hs_kit_tenant_auth_sync"."app_id" IS '应用id';

COMMENT ON TABLE "public"."hs_kit_tenant_auth_sync" IS '租户应用授权信息同步';

CREATE TABLE "public"."hs_kit_tenant_sync" (
  "tenant_id" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "instance_id" varchar(255) COLLATE "pg_catalog"."default",
  "order_id" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_code" varchar(255) COLLATE "pg_catalog"."default",
  "name" varchar(255) COLLATE "pg_catalog"."default",
  "domain_name" varchar(255) COLLATE "pg_catalog"."default",
  "flag" varchar(255) COLLATE "pg_catalog"."default",
  "test_flag" varchar(255) COLLATE "pg_catalog"."default",
  "time_stamp" varchar(255) COLLATE "pg_catalog"."default",
  "iot_tenant_id" uuid,
  CONSTRAINT "hs_kit_tenant_sync_pkey" PRIMARY KEY ("tenant_id")
)
;

ALTER TABLE "public"."hs_kit_tenant_sync" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_kit_tenant_sync"."tenant_id" IS '租户id';

COMMENT ON COLUMN "public"."hs_kit_tenant_sync"."instance_id" IS '卖家申请应用凭证的时候传空，买家必传';

COMMENT ON COLUMN "public"."hs_kit_tenant_sync"."order_id" IS '订单id';

COMMENT ON COLUMN "public"."hs_kit_tenant_sync"."tenant_code" IS '租户标识,用来识别最终用户的登录指向买家对应的域名';

COMMENT ON COLUMN "public"."hs_kit_tenant_sync"."name" IS '租户名称,买家企业的名称';

COMMENT ON COLUMN "public"."hs_kit_tenant_sync"."domain_name" IS '域名，是认证中心返回的统一域名地址';

COMMENT ON COLUMN "public"."hs_kit_tenant_sync"."flag" IS '0-删除 1-新增';

COMMENT ON COLUMN "public"."hs_kit_tenant_sync"."test_flag" IS '0-生产正式数据 1-调测数据';

COMMENT ON COLUMN "public"."hs_kit_tenant_sync"."time_stamp" IS '默认时区东8区，时间戳,时间格式：20220420114117642';

COMMENT ON COLUMN "public"."hs_kit_tenant_sync"."iot_tenant_id" IS '对应IOT租户id';

COMMENT ON TABLE "public"."hs_kit_tenant_sync" IS '华为ims租户同步';

CREATE TABLE "public"."hs_last_expand_extension" (
  "key_id" int4 NOT NULL,
  "entity_id" uuid NOT NULL,
  "created_time" int8,
  "tenant_id" uuid,
  "updated_time" int8,
  "device_name" varchar(255) COLLATE "pg_catalog"."default",
  "device_type" varchar(255) COLLATE "pg_catalog"."default",
  "enable" bool,
  "factory_id" uuid,
  "factory_name" varchar(255) COLLATE "pg_catalog"."default",
  "gateway_id" uuid,
  "gateway_name" varchar(255) COLLATE "pg_catalog"."default",
  "group_id" uuid,
  "group_name" varchar(255) COLLATE "pg_catalog"."default",
  "history_lower" varchar(255) COLLATE "pg_catalog"."default",
  "history_upper" varchar(255) COLLATE "pg_catalog"."default",
  "key" varchar(255) COLLATE "pg_catalog"."default",
  "unit_name" varchar(255) COLLATE "pg_catalog"."default",
  "volume_on_day" int8,
  "workshop_id" uuid,
  "workshop_name" varchar(255) COLLATE "pg_catalog"."default",
  "volume_on_history" int8 NOT NULL DEFAULT 0,
  "volume_on_yesterday" int8 NOT NULL DEFAULT 0,
  CONSTRAINT "hs_last_expand_extension_pkey" PRIMARY KEY ("key_id", "entity_id")
)
;

ALTER TABLE "public"."hs_last_expand_extension" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_last_expand_extension"."key_id" IS 'keyId';

COMMENT ON COLUMN "public"."hs_last_expand_extension"."entity_id" IS '设备id';

COMMENT ON COLUMN "public"."hs_last_expand_extension"."created_time" IS '创建时间(表设计基础字段)';

COMMENT ON COLUMN "public"."hs_last_expand_extension"."tenant_id" IS '租户id(表设计基础字段)';

COMMENT ON COLUMN "public"."hs_last_expand_extension"."updated_time" IS '修改时间(表设计基础字段)';

COMMENT ON COLUMN "public"."hs_last_expand_extension"."device_name" IS '设备名称';

COMMENT ON COLUMN "public"."hs_last_expand_extension"."device_type" IS '0是设备，1是网关';

COMMENT ON COLUMN "public"."hs_last_expand_extension"."enable" IS '是否启用（默认启用)';

COMMENT ON COLUMN "public"."hs_last_expand_extension"."factory_id" IS '工厂id';

COMMENT ON COLUMN "public"."hs_last_expand_extension"."factory_name" IS '工厂名称';

COMMENT ON COLUMN "public"."hs_last_expand_extension"."group_id" IS '分组id';

COMMENT ON COLUMN "public"."hs_last_expand_extension"."group_name" IS '分组名称';

COMMENT ON COLUMN "public"."hs_last_expand_extension"."history_lower" IS '历史最小值';

COMMENT ON COLUMN "public"."hs_last_expand_extension"."history_upper" IS '历史最大值';

COMMENT ON COLUMN "public"."hs_last_expand_extension"."key" IS '遥测的名称';

COMMENT ON COLUMN "public"."hs_last_expand_extension"."unit_name" IS '单位名称';

COMMENT ON COLUMN "public"."hs_last_expand_extension"."volume_on_day" IS '当日遥测量（条数)';

CREATE TABLE "public"."hs_level_role" (
  "role_id" uuid NOT NULL,
  "p_id" uuid NOT NULL,
  CONSTRAINT "hs_level_role_pkey" PRIMARY KEY ("role_id", "p_id")
)
;

ALTER TABLE "public"."hs_level_role" OWNER TO "postgres";

CREATE TABLE "public"."hs_order_statistical" (
  "id" uuid NOT NULL,
  "order_no" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "order_status" varchar(255) COLLATE "pg_catalog"."default" DEFAULT 'underway'::character varying,
  "code" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "statistic_val" numeric(10,4) NOT NULL DEFAULT 0,
  "start_time" timestamp(6),
  "end_time" timestamp(6),
  "created_time" int8,
  "updated_time" int8 NOT NULL,
  "tenant_id" uuid NOT NULL,
  "order_array" varchar(1000) COLLATE "pg_catalog"."default",
  CONSTRAINT "hs_order_statistical_pkey" PRIMARY KEY ("id"),
  CONSTRAINT "hs_order_statistical_order_no_code_key" UNIQUE ("order_no", "code")
)
;

ALTER TABLE "public"."hs_order_statistical" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_order_statistical"."order_status" IS '订单状态（underway-进行中；close-结束）';

COMMENT ON COLUMN "public"."hs_order_statistical"."code" IS 'water-水;electric-电;vapor-蒸汽;output-产量';

COMMENT ON COLUMN "public"."hs_order_statistical"."statistic_val" IS '统计值';

COMMENT ON COLUMN "public"."hs_order_statistical"."tenant_id" IS '租户标识';

COMMENT ON COLUMN "public"."hs_order_statistical"."order_array" IS '订单明细';

COMMENT ON TABLE "public"."hs_order_statistical" IS '统计订单的能耗产量(kafka)';

CREATE TABLE "public"."hs_push_conf_table" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "created_user" uuid,
  "tenant_id" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  "kafka_ip" varchar(255) COLLATE "pg_catalog"."default",
  "kafka_names" varchar(255) COLLATE "pg_catalog"."default",
  "kafka_port" varchar(255) COLLATE "pg_catalog"."default",
  "kafka_status" bool,
  "kafka_topic_pre" varchar(255) COLLATE "pg_catalog"."default",
  "mqtt_ip" varchar(255) COLLATE "pg_catalog"."default",
  "mqtt_port" varchar(255) COLLATE "pg_catalog"."default",
  "mqtt_qos_type" varchar(255) COLLATE "pg_catalog"."default",
  "mqtt_status" bool,
  "mqtt_user_name" varchar(255) COLLATE "pg_catalog"."default",
  "mqtt_password" varchar(255) COLLATE "pg_catalog"."default",
  "notes" varchar(255) COLLATE "pg_catalog"."default",
  "statistic_value" int8,
  CONSTRAINT "hs_push_conf_table_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_push_conf_table" OWNER TO "postgres";

CREATE TABLE "public"."hs_role" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "created_user" uuid,
  "tenant_id" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  "role_code" varchar(255) COLLATE "pg_catalog"."default",
  "role_desc" varchar(255) COLLATE "pg_catalog"."default",
  "role_name" varchar(255) COLLATE "pg_catalog"."default",
  "system_tab" varchar(255) COLLATE "pg_catalog"."default",
  "operation_type" int4 DEFAULT 0,
  "virtual_code" int4,
  "role_public" bool,
  CONSTRAINT "hs_role_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_role" OWNER TO "postgres";

CREATE TABLE "public"."hs_role_menu_relation" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "created_user" uuid,
  "tenant_id" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  "menu_id" uuid,
  "notes" varchar(255) COLLATE "pg_catalog"."default",
  "role_id" uuid,
  "flg" varchar(255) COLLATE "pg_catalog"."default",
  CONSTRAINT "role_menu_relation_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_role_menu_relation" OWNER TO "postgres";

CREATE TABLE "public"."hs_tenant_right" (
  "id" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "modify_time" varchar(255) COLLATE "pg_catalog"."default",
  "tag" varchar(255) COLLATE "pg_catalog"."default",
  "code" varchar(255) COLLATE "pg_catalog"."default",
  "name" varchar(255) COLLATE "pg_catalog"."default",
  "type" int4,
  "updated_time" timestamp(6),
  "tenant_id" uuid,
  CONSTRAINT "hs_tenant_right_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_tenant_right" OWNER TO "postgres";

CREATE TABLE "public"."hs_user_extension" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "created_user" uuid,
  "tenant_id" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  "address" varchar(255) COLLATE "pg_catalog"."default",
  "avatar" varchar(255) COLLATE "pg_catalog"."default",
  "bind_time" int8,
  "include_nick_name" varchar(255) COLLATE "pg_catalog"."default",
  "open_id" varchar(255) COLLATE "pg_catalog"."default",
  "phone_number" varchar(255) COLLATE "pg_catalog"."default",
  "registrate_applet" varchar(255) COLLATE "pg_catalog"."default",
  "user_code" varchar(255) COLLATE "pg_catalog"."default",
  "user_id" uuid,
  "user_name" varchar(255) COLLATE "pg_catalog"."default",
  "virtual_code" int4,
  "wechat_nick_name" varchar(255) COLLATE "pg_catalog"."default",
  "wechat_sign_status" varchar(255) COLLATE "pg_catalog"."default",
  CONSTRAINT "hs_user_extension_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_user_extension" OWNER TO "postgres";

CREATE TABLE "public"."hs_user_right" (
  "id" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "encrypt_type" int4,
  "modify_time" varchar(255) COLLATE "pg_catalog"."default",
  "password" varchar(255) COLLATE "pg_catalog"."default",
  "code" varchar(255) COLLATE "pg_catalog"."default",
  "email" varchar(255) COLLATE "pg_catalog"."default",
  "global_user_id" varchar(255) COLLATE "pg_catalog"."default",
  "head_pic_url" varchar(255) COLLATE "pg_catalog"."default",
  "is_tenant_admin" bool,
  "own_company_id" varchar(255) COLLATE "pg_catalog"."default",
  "own_department_id" varchar(255) COLLATE "pg_catalog"."default",
  "phone_number" varchar(255) COLLATE "pg_catalog"."default",
  "remark" varchar(255) COLLATE "pg_catalog"."default",
  "right_tenant_id" varchar(255) COLLATE "pg_catalog"."default",
  "usable" bool,
  "user_id" uuid,
  "name" varchar(255) COLLATE "pg_catalog"."default",
  "updated_time" timestamp(6),
  "tenant_id" uuid,
  CONSTRAINT "hs_user_right_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_user_right" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_user_right"."id" IS '上海的用户id';

COMMENT ON COLUMN "public"."hs_user_right"."encrypt_type" IS '加密方式';

COMMENT ON COLUMN "public"."hs_user_right"."modify_time" IS '修改时间';

COMMENT ON COLUMN "public"."hs_user_right"."password" IS '密码';

COMMENT ON COLUMN "public"."hs_user_right"."code" IS '用户编号';

COMMENT ON COLUMN "public"."hs_user_right"."email" IS '邮箱';

COMMENT ON COLUMN "public"."hs_user_right"."global_user_id" IS '全局用户id';

COMMENT ON COLUMN "public"."hs_user_right"."head_pic_url" IS '头像url';

COMMENT ON COLUMN "public"."hs_user_right"."is_tenant_admin" IS '是否管理员';

COMMENT ON COLUMN "public"."hs_user_right"."own_company_id" IS '所属公司id';

COMMENT ON COLUMN "public"."hs_user_right"."own_department_id" IS '所属部门id';

COMMENT ON COLUMN "public"."hs_user_right"."phone_number" IS '手机号';

COMMENT ON COLUMN "public"."hs_user_right"."remark" IS '备注';

COMMENT ON COLUMN "public"."hs_user_right"."right_tenant_id" IS 'userRight的租户id';

COMMENT ON COLUMN "public"."hs_user_right"."usable" IS '是否启用';

COMMENT ON COLUMN "public"."hs_user_right"."user_id" IS '用户id';

COMMENT ON COLUMN "public"."hs_user_right"."name" IS '用户名称';

CREATE TABLE "public"."hs_user_role_relation" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "created_user" uuid,
  "tenant_id" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  "notes" varchar(255) COLLATE "pg_catalog"."default",
  "role_id" uuid,
  "user_id" uuid,
  CONSTRAINT "user_role_relation_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_user_role_relation" OWNER TO "postgres";

CREATE TABLE "public"."hs_weather" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "created_user" varchar(255) COLLATE "pg_catalog"."default",
  "updated_time" int8,
  "updated_user" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_id" uuid,
  "factory_id" uuid,
  "weather" varchar(255) COLLATE "pg_catalog"."default",
  "temperature" varchar(255) COLLATE "pg_catalog"."default",
  "wind_direction" varchar(255) COLLATE "pg_catalog"."default",
  "wind_power" varchar(255) COLLATE "pg_catalog"."default",
  "humidity" varchar(255) COLLATE "pg_catalog"."default",
  "report_time_str" varchar(255) COLLATE "pg_catalog"."default",
  "report_time" int8,
  CONSTRAINT "hs_weather_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."hs_weather" OWNER TO "postgres";

COMMENT ON COLUMN "public"."hs_weather"."id" IS 'Id';

COMMENT ON COLUMN "public"."hs_weather"."created_time" IS '创建时间';

COMMENT ON COLUMN "public"."hs_weather"."created_user" IS '创建人';

COMMENT ON COLUMN "public"."hs_weather"."updated_time" IS '更新时间';

COMMENT ON COLUMN "public"."hs_weather"."updated_user" IS '更新人';

COMMENT ON COLUMN "public"."hs_weather"."tenant_id" IS '租户Id';

COMMENT ON COLUMN "public"."hs_weather"."factory_id" IS '工厂id';

COMMENT ON COLUMN "public"."hs_weather"."weather" IS '天气';

COMMENT ON COLUMN "public"."hs_weather"."temperature" IS '温度';

COMMENT ON COLUMN "public"."hs_weather"."wind_direction" IS '风向';

COMMENT ON COLUMN "public"."hs_weather"."wind_power" IS '风力';

COMMENT ON COLUMN "public"."hs_weather"."humidity" IS '湿度';

COMMENT ON COLUMN "public"."hs_weather"."report_time_str" IS '报告时间';

COMMENT ON COLUMN "public"."hs_weather"."report_time" IS '报告时间';

COMMENT ON TABLE "public"."hs_weather" IS '天气';

CREATE TABLE "public"."hs_wechat_apply_history" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "created_user" uuid,
  "tenant_id" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  "apply_info" varchar(255) COLLATE "pg_catalog"."default",
  "avatar" varchar(255) COLLATE "pg_catalog"."default",
  "factory_id" uuid,
  "wechat_nick_name" varchar(255) COLLATE "pg_catalog"."default",
  "notes" varchar(255) COLLATE "pg_catalog"."default",
  "open_id" varchar(255) COLLATE "pg_catalog"."default",
  "review_status" varchar(255) COLLATE "pg_catalog"."default",
  "sex" varchar(255) COLLATE "pg_catalog"."default"
)
;

ALTER TABLE "public"."hs_wechat_apply_history" OWNER TO "postgres";

CREATE TABLE "public"."role_menu_relation" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "created_user" uuid,
  "tenant_id" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  "menu_id" uuid,
  "notes" varchar(255) COLLATE "pg_catalog"."default",
  "role_id" uuid,
  CONSTRAINT "role_menu_relation_pkey1" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."role_menu_relation" OWNER TO "postgres";

CREATE TABLE "public"."tb_menu" (
  "id" uuid NOT NULL,
  "code" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "name" varchar(255) COLLATE "pg_catalog"."default",
  "level" int8 NOT NULL,
  "sort" int8 NOT NULL,
  "url" varchar(1000) COLLATE "pg_catalog"."default",
  "parent_id" uuid,
  "menu_icon" varchar(255) COLLATE "pg_catalog"."default",
  "menu_images" varchar(1000) COLLATE "pg_catalog"."default",
  "region" varchar(255) COLLATE "pg_catalog"."default",
  "created_time" int8 NOT NULL,
  "created_user" uuid,
  "updated_time" varchar(255) COLLATE "pg_catalog"."default",
  "updated_user" uuid,
  "menu_type" varchar(255) COLLATE "pg_catalog"."default",
  "path" varchar(255) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "is_button" bool DEFAULT false,
  "lang_key" varchar(255) COLLATE "pg_catalog"."default"
)
;

ALTER TABLE "public"."tb_menu" OWNER TO "postgres";

CREATE TABLE "public"."tb_tenant_menu" (
  "id" uuid NOT NULL,
  "tenant_id" uuid NOT NULL,
  "sys_menu_id" uuid,
  "sys_menu_code" varchar(255) COLLATE "pg_catalog"."default",
  "sys_menu_name" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_menu_name" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_menu_code" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "level" int8 NOT NULL,
  "sort" int8 NOT NULL,
  "url" varchar(1000) COLLATE "pg_catalog"."default",
  "parent_id" uuid,
  "tenant_menu_icon" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_menu_images" varchar(1000) COLLATE "pg_catalog"."default",
  "region" varchar(255) COLLATE "pg_catalog"."default",
  "created_time" int8 NOT NULL,
  "created_user" uuid,
  "updated_time" varchar(255) COLLATE "pg_catalog"."default",
  "updated_user" uuid,
  "menu_type" varchar(255) COLLATE "pg_catalog"."default",
  "path" varchar(255) COLLATE "pg_catalog"."default" DEFAULT NULL::character varying,
  "is_button" bool DEFAULT false,
  "lang_key" varchar(255) COLLATE "pg_catalog"."default",
  "has_children" bool DEFAULT false,
  CONSTRAINT "tb_tenant_menu_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."tb_tenant_menu" OWNER TO "postgres";

CREATE TABLE "public"."tb_tenant_menu_role" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "created_user" uuid,
  "tenant_id" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  "remark" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_menu_id" uuid,
  "tenant_sys_role_id" uuid,
  "flg" varchar(255) COLLATE "pg_catalog"."default",
  CONSTRAINT "tb_tenant_menu_role_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."tb_tenant_menu_role" OWNER TO "postgres";

CREATE TABLE "public"."tcode_base" (
  "id" uuid NOT NULL,
  "item" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "code" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "val" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "def" varchar(255) COLLATE "pg_catalog"."default",
  "descript" varchar(255) COLLATE "pg_catalog"."default",
  "sort" varchar(255) COLLATE "pg_catalog"."default",
  "halt" varchar(255) COLLATE "pg_catalog"."default",
  "created_user" uuid,
  "updated_user" uuid,
  "tenant_id" uuid NOT NULL,
  "created_time" int8 DEFAULT 0,
  "updated_time" int8 DEFAULT 0,
  CONSTRAINT "tcode_base_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."tcode_base" OWNER TO "postgres";

COMMENT ON COLUMN "public"."tcode_base"."item" IS '项目';

COMMENT ON COLUMN "public"."tcode_base"."code" IS '代码';

COMMENT ON COLUMN "public"."tcode_base"."val" IS '参数值';

COMMENT ON COLUMN "public"."tcode_base"."def" IS '默认值';

COMMENT ON COLUMN "public"."tcode_base"."descript" IS '描述';

COMMENT ON COLUMN "public"."tcode_base"."halt" IS '是否停用（T-是；F-否）';

CREATE TABLE "public"."tcode_device" (
  "id" uuid NOT NULL,
  "gid" uuid,
  "did" uuid NOT NULL,
  "dname" varchar(255) COLLATE "pg_catalog"."default",
  "knumb" int8,
  "kcnt" int8,
  "sort" varchar(255) COLLATE "pg_catalog"."default",
  "halt" varchar(50) COLLATE "pg_catalog"."default",
  "htime" timestamp(6),
  "created_time" int8 DEFAULT 0,
  "updated_time" int8 DEFAULT 0,
  "created_user" uuid,
  "updated_user" uuid,
  "tenant_id" uuid NOT NULL,
  "mcode" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  CONSTRAINT "tcode_device_pkey" PRIMARY KEY ("id"),
  CONSTRAINT "tcode_device_mcode_tenant_id_did_key" UNIQUE ("mcode", "tenant_id", "did")
)
;

ALTER TABLE "public"."tcode_device" OWNER TO "postgres";

COMMENT ON COLUMN "public"."tcode_device"."id" IS '主键';

COMMENT ON COLUMN "public"."tcode_device"."gid" IS '网关ID';

COMMENT ON COLUMN "public"."tcode_device"."did" IS '设备ID';

COMMENT ON COLUMN "public"."tcode_device"."dname" IS '设备名称';

COMMENT ON COLUMN "public"."tcode_device"."knumb" IS '设备属性数量';

COMMENT ON COLUMN "public"."tcode_device"."kcnt" IS '属性采集总量';

COMMENT ON COLUMN "public"."tcode_device"."sort" IS '排序';

COMMENT ON COLUMN "public"."tcode_device"."halt" IS '停用：默认F,T为停用';

COMMENT ON COLUMN "public"."tcode_device"."htime" IS '心跳时间';

COMMENT ON COLUMN "public"."tcode_device"."mcode" IS '物模型代码';

CREATE TABLE "public"."tcode_group" (
  "tid" uuid NOT NULL,
  "code" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "descript" varchar(255) COLLATE "pg_catalog"."default",
  "arr" time(6),
  "dep" time(6),
  "tdays" int4 DEFAULT 0,
  "id" uuid NOT NULL,
  "fid" uuid,
  CONSTRAINT "tcode_group_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."tcode_group" OWNER TO "postgres";

COMMENT ON COLUMN "public"."tcode_group"."tid" IS '租户ID';

COMMENT ON COLUMN "public"."tcode_group"."code" IS '代码';

COMMENT ON COLUMN "public"."tcode_group"."descript" IS '班组描述';

COMMENT ON COLUMN "public"."tcode_group"."arr" IS '开始时间';

COMMENT ON COLUMN "public"."tcode_group"."dep" IS '结束时间';

COMMENT ON COLUMN "public"."tcode_group"."tdays" IS '是否跨日';

COMMENT ON COLUMN "public"."tcode_group"."fid" IS '工厂id';

CREATE TABLE "public"."tcode_group_days" (
  "tid" uuid NOT NULL,
  "arr" time(6),
  "dep" time(6),
  "tdays" int4 DEFAULT 0,
  CONSTRAINT "tcode_group_days_pkey" PRIMARY KEY ("tid")
)
;

ALTER TABLE "public"."tcode_group_days" OWNER TO "postgres";

COMMENT ON COLUMN "public"."tcode_group_days"."tid" IS '租户ID';

COMMENT ON COLUMN "public"."tcode_group_days"."arr" IS '每日开始时间';

COMMENT ON COLUMN "public"."tcode_group_days"."dep" IS '每日结束时间';

COMMENT ON COLUMN "public"."tcode_group_days"."tdays" IS '是否跨日';

CREATE TABLE "public"."tcode_group_electric" (
  "tid" uuid NOT NULL,
  "code" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "arr" time(6),
  "dep" time(6),
  "tdays" int4,
  CONSTRAINT "tcode_group_electric_pkey" PRIMARY KEY ("tid", "code")
)
;

ALTER TABLE "public"."tcode_group_electric" OWNER TO "postgres";

COMMENT ON COLUMN "public"."tcode_group_electric"."tid" IS '租户ID';

COMMENT ON COLUMN "public"."tcode_group_electric"."code" IS '峰电peak，谷电valley';

COMMENT ON COLUMN "public"."tcode_group_electric"."arr" IS '开始时间';

COMMENT ON COLUMN "public"."tcode_group_electric"."dep" IS '结束时间';

COMMENT ON COLUMN "public"."tcode_group_electric"."tdays" IS '是否跨日，1为跨日';

CREATE TABLE "public"."tcode_model" (
  "id" uuid NOT NULL,
  "gid" uuid,
  "code" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "name" varchar(255) COLLATE "pg_catalog"."default",
  "created_user" uuid,
  "updated_user" uuid,
  "driver_version" varchar(255) COLLATE "pg_catalog"."default",
  "tenant_id" uuid NOT NULL,
  "updated_time" int8,
  "created_time" int8,
  "credential" varchar(255) COLLATE "pg_catalog"."default",
  CONSTRAINT "tcode_model_pkey" PRIMARY KEY ("id"),
  CONSTRAINT "tcode_model_tenant_id_code_key" UNIQUE ("tenant_id", "code")
)
;

ALTER TABLE "public"."tcode_model" OWNER TO "postgres";

COMMENT ON COLUMN "public"."tcode_model"."credential" IS '网关令牌';

CREATE TABLE "public"."tcode_model_detail" (
  "id" uuid NOT NULL,
  "gid" uuid,
  "code" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "key" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "base_id" uuid,
  "unit_id" uuid,
  "kup" varchar(255) COLLATE "pg_catalog"."default",
  "kdwn" varchar(255) COLLATE "pg_catalog"."default",
  "ksetup" varchar(255) COLLATE "pg_catalog"."default",
  "sort" varchar(255) COLLATE "pg_catalog"."default" DEFAULT '1000'::character varying,
  "halt" char(1) COLLATE "pg_catalog"."default" DEFAULT 'F'::bpchar,
  "ex_s1" varchar(255) COLLATE "pg_catalog"."default",
  "ex_s2" varchar(255) COLLATE "pg_catalog"."default",
  "ex_s3" varchar(255) COLLATE "pg_catalog"."default",
  "ex_s4" varchar(255) COLLATE "pg_catalog"."default",
  "ex_s5" varchar(255) COLLATE "pg_catalog"."default",
  "created_user" uuid,
  "updated_user" uuid,
  "standard" varchar(255) COLLATE "pg_catalog"."default",
  "hour" bool,
  "day" bool,
  "change" bool,
  "tenant_id" uuid NOT NULL,
  "val" varchar(255) COLLATE "pg_catalog"."default",
  "created_time" int8,
  "updated_time" int8,
  "kup_time" int8,
  "ksetup_time" int8,
  "kdwn_time" int8,
  "credential" varchar(255) COLLATE "pg_catalog"."default",
  CONSTRAINT "tcode_model_detail_pkey" PRIMARY KEY ("id"),
  CONSTRAINT "tcode_model_detail_code_key_tenant_id_key" UNIQUE ("code", "key", "tenant_id")
)
;

ALTER TABLE "public"."tcode_model_detail" OWNER TO "postgres";

COMMENT ON COLUMN "public"."tcode_model_detail"."id" IS '属性ID';

COMMENT ON COLUMN "public"."tcode_model_detail"."gid" IS '网关ID';

COMMENT ON COLUMN "public"."tcode_model_detail"."code" IS '模型代码';

COMMENT ON COLUMN "public"."tcode_model_detail"."key" IS '属性key';

COMMENT ON COLUMN "public"."tcode_model_detail"."base_id" IS '分组ID(base)';

COMMENT ON COLUMN "public"."tcode_model_detail"."unit_id" IS '单位ID';

COMMENT ON COLUMN "public"."tcode_model_detail"."kup" IS '上限值';

COMMENT ON COLUMN "public"."tcode_model_detail"."kdwn" IS '下限值';

COMMENT ON COLUMN "public"."tcode_model_detail"."ksetup" IS '设定值';

COMMENT ON COLUMN "public"."tcode_model_detail"."sort" IS '排序';

COMMENT ON COLUMN "public"."tcode_model_detail"."halt" IS '是否停用';

COMMENT ON COLUMN "public"."tcode_model_detail"."ex_s1" IS '扩展字段1';

COMMENT ON COLUMN "public"."tcode_model_detail"."ex_s2" IS '扩展字段2';

COMMENT ON COLUMN "public"."tcode_model_detail"."ex_s3" IS '扩展字段3';

COMMENT ON COLUMN "public"."tcode_model_detail"."ex_s4" IS '扩展字段4';

COMMENT ON COLUMN "public"."tcode_model_detail"."ex_s5" IS '扩展字段5';

COMMENT ON COLUMN "public"."tcode_model_detail"."standard" IS '标准值';

COMMENT ON COLUMN "public"."tcode_model_detail"."hour" IS '每小时存储';

COMMENT ON COLUMN "public"."tcode_model_detail"."day" IS '每天存储';

COMMENT ON COLUMN "public"."tcode_model_detail"."change" IS '属性值变化存储';

COMMENT ON COLUMN "public"."tcode_model_detail"."val" IS '属性名';

COMMENT ON COLUMN "public"."tcode_model_detail"."kup_time" IS '上限值时间';

COMMENT ON COLUMN "public"."tcode_model_detail"."ksetup_time" IS '设定值更新时间';

COMMENT ON COLUMN "public"."tcode_model_detail"."kdwn_time" IS '下限值设定时间';

COMMENT ON COLUMN "public"."tcode_model_detail"."credential" IS '网关令牌';

CREATE TABLE "public"."tcode_model_detail_ex" (
  "tid" uuid NOT NULL,
  "gid" uuid NOT NULL,
  "code" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "key" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "grpcode" varchar(255) COLLATE "pg_catalog"."default",
  "unit_id" varchar(255) COLLATE "pg_catalog"."default",
  "kup" varchar(255) COLLATE "pg_catalog"."default",
  "kup_time" timestamp(6),
  "kdwn" varchar(255) COLLATE "pg_catalog"."default",
  "kdwn_time" timestamp(6),
  "ksetup" varchar(255) COLLATE "pg_catalog"."default",
  "ksetup_time" timestamp(6),
  "sort" varchar(255) COLLATE "pg_catalog"."default" DEFAULT '1000'::character varying,
  "halt" char(1) COLLATE "pg_catalog"."default" DEFAULT 'F'::bpchar,
  "ex_s1" varchar(255) COLLATE "pg_catalog"."default",
  "ex_s2" varchar(255) COLLATE "pg_catalog"."default",
  "ex_s3" varchar(255) COLLATE "pg_catalog"."default",
  "ex_s4" varchar(255) COLLATE "pg_catalog"."default",
  "ex_s5" varchar(255) COLLATE "pg_catalog"."default",
  "ctime" timestamp(6) DEFAULT CURRENT_TIMESTAMP,
  "mtime" timestamp(6) DEFAULT CURRENT_TIMESTAMP,
  "name" varchar(255) COLLATE "pg_catalog"."default",
  CONSTRAINT "tcode_model_detail_ex_pkey" PRIMARY KEY ("tid", "gid", "code", "key")
)
;

ALTER TABLE "public"."tcode_model_detail_ex" OWNER TO "postgres";

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."tid" IS '租户ID';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."gid" IS '网关ID';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."code" IS '模型代码';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."key" IS '属性名称';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."grpcode" IS '分组ID';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."unit_id" IS '单位ID';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."kup" IS '上限值';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."kup_time" IS '上限值时间';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."kdwn" IS '下限值';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."kdwn_time" IS '下限值时间';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."ksetup" IS '设定值';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."ksetup_time" IS '设定值更新时间';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."sort" IS '排序';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."halt" IS '是否停用';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."ex_s1" IS '扩展字段1';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."ex_s2" IS '扩展字段2';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."ex_s3" IS '扩展字段3';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."ex_s4" IS '扩展字段4';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."ex_s5" IS '扩展字段5';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."ctime" IS '创建时间';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."mtime" IS '修改时间';

COMMENT ON COLUMN "public"."tcode_model_detail_ex"."name" IS '显示名称';

CREATE TABLE "public"."tcode_model_ex" (
  "tid" uuid NOT NULL,
  "gid" uuid,
  "code" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "name" varchar(255) COLLATE "pg_catalog"."default",
  "ctime" timestamp(6) DEFAULT CURRENT_TIMESTAMP,
  "mtime" timestamp(6) DEFAULT CURRENT_TIMESTAMP
)
;

ALTER TABLE "public"."tcode_model_ex" OWNER TO "postgres";

CREATE TABLE "public"."tcode_unit" (
  "id" uuid NOT NULL,
  "descript" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "created_user" uuid,
  "updated_user" uuid,
  "tenant_id" uuid NOT NULL,
  "created_time" int8 DEFAULT 0,
  "updated_time" int8 DEFAULT 0,
  CONSTRAINT "tcode_unit_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."tcode_unit" OWNER TO "postgres";

CREATE TABLE "public"."temp_table" (
  "bdate" date
)
;

ALTER TABLE "public"."temp_table" OWNER TO "postgres";

CREATE TABLE "public"."tmsg" (
  "msg" varchar(255) COLLATE "pg_catalog"."default"
)
;

ALTER TABLE "public"."tmsg" OWNER TO "postgres";

CREATE TABLE "public"."trep_day_sta_detail" (
  "tid" uuid NOT NULL,
  "did" uuid NOT NULL,
  "bdate" date NOT NULL,
  "key" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "val" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "cron" int8 DEFAULT 20,
  "len" int8,
  "time" int8,
  "ctime" timestamp(6),
  "mtime" timestamp(6),
  "created_time" int8,
  "updated_time" int8,
  CONSTRAINT "trep_day_sta_detail_pkey" PRIMARY KEY ("tid", "did", "bdate", "key", "val")
)
;

ALTER TABLE "public"."trep_day_sta_detail" OWNER TO "postgres";

COMMENT ON COLUMN "public"."trep_day_sta_detail"."tid" IS '租户ID';

COMMENT ON COLUMN "public"."trep_day_sta_detail"."did" IS '设备ID';

COMMENT ON COLUMN "public"."trep_day_sta_detail"."bdate" IS '营业日期';

COMMENT ON COLUMN "public"."trep_day_sta_detail"."key" IS '属性名称';

COMMENT ON COLUMN "public"."trep_day_sta_detail"."val" IS '属性值';

COMMENT ON COLUMN "public"."trep_day_sta_detail"."cron" IS '更新频率';

COMMENT ON COLUMN "public"."trep_day_sta_detail"."len" IS '计数器';

COMMENT ON COLUMN "public"."trep_day_sta_detail"."time" IS '累计时间单位秒';

COMMENT ON COLUMN "public"."trep_day_sta_detail"."ctime" IS '创建时间';

COMMENT ON COLUMN "public"."trep_day_sta_detail"."mtime" IS '修改时间';

COMMENT ON COLUMN "public"."trep_day_sta_detail"."created_time" IS '创建时间long类型';

COMMENT ON COLUMN "public"."trep_day_sta_detail"."updated_time" IS '修改时间long类型';

CREATE TABLE "public"."trep_dkey_detail" (
  "tid" uuid NOT NULL,
  "did" uuid NOT NULL,
  "key" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "bdate" date NOT NULL,
  "val" varchar(255) COLLATE "pg_catalog"."default",
  "ctime" timestamp(6),
  "mtime" timestamp(6),
  "val_arr" varchar(255) COLLATE "pg_catalog"."default",
  "val_dep" varchar(255) COLLATE "pg_catalog"."default",
  "peak" varchar(255) COLLATE "pg_catalog"."default",
  "valley" varchar(255) COLLATE "pg_catalog"."default",
  CONSTRAINT "trep_dkey_detail_pkey" PRIMARY KEY ("tid", "did", "key", "bdate")
)
;

ALTER TABLE "public"."trep_dkey_detail" OWNER TO "postgres";

COMMENT ON COLUMN "public"."trep_dkey_detail"."tid" IS '租户ID';

COMMENT ON COLUMN "public"."trep_dkey_detail"."did" IS '设备ID';

COMMENT ON COLUMN "public"."trep_dkey_detail"."key" IS '属性';

COMMENT ON COLUMN "public"."trep_dkey_detail"."bdate" IS '营业日期';

COMMENT ON COLUMN "public"."trep_dkey_detail"."val" IS '最新遥测值-废弃';

COMMENT ON COLUMN "public"."trep_dkey_detail"."ctime" IS '创建时间';

COMMENT ON COLUMN "public"."trep_dkey_detail"."mtime" IS '修改时间';

COMMENT ON COLUMN "public"."trep_dkey_detail"."val_arr" IS '遥测值开始';

COMMENT ON COLUMN "public"."trep_dkey_detail"."val_dep" IS '遥测值结束';

COMMENT ON COLUMN "public"."trep_dkey_detail"."peak" IS '峰电-电能属性有效';

COMMENT ON COLUMN "public"."trep_dkey_detail"."valley" IS '谷电-电能属性有效';

CREATE TABLE "public"."trep_group_detail" (
  "tid" uuid NOT NULL,
  "did" uuid NOT NULL,
  "key" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "bdate" date NOT NULL,
  "grpcode" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "val_arr" varchar(255) COLLATE "pg_catalog"."default",
  "val_dep" varchar(255) COLLATE "pg_catalog"."default",
  "ctime" timestamp(6) DEFAULT now(),
  "mtime" timestamp(6) DEFAULT now(),
  CONSTRAINT "trep_group_detail_pkey" PRIMARY KEY ("tid", "did", "key", "bdate", "grpcode")
)
;

ALTER TABLE "public"."trep_group_detail" OWNER TO "postgres";

COMMENT ON COLUMN "public"."trep_group_detail"."tid" IS '租户ID';

COMMENT ON COLUMN "public"."trep_group_detail"."did" IS '设备ID';

COMMENT ON COLUMN "public"."trep_group_detail"."key" IS '属性';

COMMENT ON COLUMN "public"."trep_group_detail"."bdate" IS '营业日期';

COMMENT ON COLUMN "public"."trep_group_detail"."grpcode" IS '班组code';

COMMENT ON COLUMN "public"."trep_group_detail"."val_arr" IS '遥测值开始';

COMMENT ON COLUMN "public"."trep_group_detail"."val_dep" IS '遥测值结束';

COMMENT ON COLUMN "public"."trep_group_detail"."ctime" IS '创建时间';

COMMENT ON COLUMN "public"."trep_group_detail"."mtime" IS '修改时间';

CREATE TABLE "public"."trep_group_sta_detail" (
  "tid" uuid NOT NULL,
  "did" uuid NOT NULL,
  "bdate" date NOT NULL,
  "grpcode" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "key" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "val" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "cron" int8 DEFAULT 20,
  "len" int8 DEFAULT 1,
  "time" int8 DEFAULT 20,
  "ctime" timestamp(6),
  "mtime" timestamp(6),
  "created_time" int8,
  "updated_time" int8,
  CONSTRAINT "trep_group_sta_detail_pkey" PRIMARY KEY ("tid", "did", "bdate", "grpcode", "key", "val")
)
;

ALTER TABLE "public"."trep_group_sta_detail" OWNER TO "postgres";

COMMENT ON COLUMN "public"."trep_group_sta_detail"."tid" IS '租户ID';

COMMENT ON COLUMN "public"."trep_group_sta_detail"."did" IS '设备ID';

COMMENT ON COLUMN "public"."trep_group_sta_detail"."bdate" IS '营业日期';

COMMENT ON COLUMN "public"."trep_group_sta_detail"."grpcode" IS '班组代码';

COMMENT ON COLUMN "public"."trep_group_sta_detail"."key" IS '属性名称';

COMMENT ON COLUMN "public"."trep_group_sta_detail"."val" IS '属性值';

COMMENT ON COLUMN "public"."trep_group_sta_detail"."cron" IS '执行频率';

COMMENT ON COLUMN "public"."trep_group_sta_detail"."len" IS '计数器';

COMMENT ON COLUMN "public"."trep_group_sta_detail"."time" IS '累计时间单位秒';

COMMENT ON COLUMN "public"."trep_group_sta_detail"."ctime" IS '创建时间';

COMMENT ON COLUMN "public"."trep_group_sta_detail"."mtime" IS '修改时间';

COMMENT ON COLUMN "public"."trep_group_sta_detail"."created_time" IS '创建时间long类型';

COMMENT ON COLUMN "public"."trep_group_sta_detail"."updated_time" IS '修改时间long类型';

CREATE TABLE "public"."trep_group_sta_detail_log" (
  "created_time" int8 NOT NULL,
  "start_time" timestamp(6),
  CONSTRAINT "trep_group_sta_detail_log_pkey" PRIMARY KEY ("created_time")
)
;

ALTER TABLE "public"."trep_group_sta_detail_log" OWNER TO "postgres";

COMMENT ON COLUMN "public"."trep_group_sta_detail_log"."created_time" IS '创建时间';

COMMENT ON COLUMN "public"."trep_group_sta_detail_log"."start_time" IS '创建时间';

COMMENT ON TABLE "public"."trep_group_sta_detail_log" IS '班组开停机统计日志表';

CREATE TABLE "public"."trep_hkey_detail" (
  "tid" uuid NOT NULL,
  "did" uuid NOT NULL,
  "key" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "bdate" date NOT NULL,
  "hours" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "val" varchar(255) COLLATE "pg_catalog"."default",
  "ctime" timestamp(6),
  "mtime" timestamp(6),
  "val_arr" varchar(255) COLLATE "pg_catalog"."default",
  "val_dep" varchar(255) COLLATE "pg_catalog"."default",
  "peak" varchar(255) COLLATE "pg_catalog"."default",
  "valley" varchar(255) COLLATE "pg_catalog"."default",
  CONSTRAINT "trep_hkey_detail_pkey" PRIMARY KEY ("tid", "did", "key", "bdate", "hours")
)
;

ALTER TABLE "public"."trep_hkey_detail" OWNER TO "postgres";

COMMENT ON COLUMN "public"."trep_hkey_detail"."peak" IS '峰电';

COMMENT ON COLUMN "public"."trep_hkey_detail"."valley" IS '谷电';

CREATE TABLE "public"."trep_hours_sta_detail" (
  "tid" uuid NOT NULL,
  "did" uuid NOT NULL,
  "key" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "bdate" date NOT NULL,
  "hours" int4 NOT NULL,
  "cron" int8 DEFAULT 20,
  "len" int8 DEFAULT 1,
  "ctime" timestamp(6),
  "mtime" timestamp(6),
  "val" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "time" int8,
  "created_time" int8,
  "updated_time" int8,
  CONSTRAINT "trep_hours_sta_detail_pkey" PRIMARY KEY ("tid", "did", "key", "bdate", "hours", "val")
)
;

ALTER TABLE "public"."trep_hours_sta_detail" OWNER TO "postgres";

COMMENT ON COLUMN "public"."trep_hours_sta_detail"."tid" IS '租户ID';

COMMENT ON COLUMN "public"."trep_hours_sta_detail"."did" IS '设备ID';

COMMENT ON COLUMN "public"."trep_hours_sta_detail"."key" IS '属性';

COMMENT ON COLUMN "public"."trep_hours_sta_detail"."bdate" IS '营业日期';

COMMENT ON COLUMN "public"."trep_hours_sta_detail"."hours" IS '小时';

COMMENT ON COLUMN "public"."trep_hours_sta_detail"."cron" IS '统计周期，耗时算法：20s执行周期cron*len为当前状态持续时长';

COMMENT ON COLUMN "public"."trep_hours_sta_detail"."len" IS '计数器默认1';

COMMENT ON COLUMN "public"."trep_hours_sta_detail"."ctime" IS '开始时间';

COMMENT ON COLUMN "public"."trep_hours_sta_detail"."mtime" IS '结束时间';

COMMENT ON COLUMN "public"."trep_hours_sta_detail"."val" IS '状态值';

COMMENT ON COLUMN "public"."trep_hours_sta_detail"."time" IS '时长s';

COMMENT ON COLUMN "public"."trep_hours_sta_detail"."created_time" IS '开始时间long类型';

COMMENT ON COLUMN "public"."trep_hours_sta_detail"."updated_time" IS '结束时间long类型';

CREATE TABLE "public"."trep_hsta_detail" (
  "aid" int8 NOT NULL DEFAULT nextval('trep_sta_hdetail_aid_seq'::regclass),
  "tid" uuid,
  "did" uuid,
  "key" varchar(255) COLLATE "pg_catalog"."default",
  "val" varchar(255) COLLATE "pg_catalog"."default",
  "arr" timestamp(6) DEFAULT now(),
  "dep" timestamp(6) DEFAULT now(),
  CONSTRAINT "trep_sta_hdetail_pkey" PRIMARY KEY ("aid")
)
;

ALTER TABLE "public"."trep_hsta_detail" OWNER TO "postgres";

COMMENT ON COLUMN "public"."trep_hsta_detail"."aid" IS '自增长id';

COMMENT ON COLUMN "public"."trep_hsta_detail"."tid" IS '租户id';

COMMENT ON COLUMN "public"."trep_hsta_detail"."did" IS '设备id';

COMMENT ON COLUMN "public"."trep_hsta_detail"."key" IS '属性';

COMMENT ON COLUMN "public"."trep_hsta_detail"."val" IS '属性值';

COMMENT ON COLUMN "public"."trep_hsta_detail"."arr" IS '开始时间';

COMMENT ON COLUMN "public"."trep_hsta_detail"."dep" IS '结束时间';

CREATE TABLE "public"."trep_htotal_detail" (
  "id" uuid NOT NULL,
  "tid" uuid NOT NULL,
  "did" uuid NOT NULL,
  "key" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "bdate" date DEFAULT date(now()),
  "val_arr" varchar(255) COLLATE "pg_catalog"."default",
  "val_dep" varchar(255) COLLATE "pg_catalog"."default",
  "ctime" timestamp(6) DEFAULT now(),
  "mtime" timestamp(6) DEFAULT now(),
  CONSTRAINT "trep_htotal_detail_pkey" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."trep_htotal_detail" OWNER TO "postgres";

COMMENT ON COLUMN "public"."trep_htotal_detail"."id" IS '主键ID';

COMMENT ON COLUMN "public"."trep_htotal_detail"."tid" IS '租户id';

COMMENT ON COLUMN "public"."trep_htotal_detail"."did" IS '设备id';

COMMENT ON COLUMN "public"."trep_htotal_detail"."key" IS '属性key';

COMMENT ON COLUMN "public"."trep_htotal_detail"."bdate" IS '营业日期';

COMMENT ON COLUMN "public"."trep_htotal_detail"."val_arr" IS '首次统计属性值';

COMMENT ON COLUMN "public"."trep_htotal_detail"."val_dep" IS '最后统计属性值';

COMMENT ON COLUMN "public"."trep_htotal_detail"."ctime" IS '创建时间';

COMMENT ON COLUMN "public"."trep_htotal_detail"."mtime" IS '修改时间';

CREATE TABLE "public"."trep_sta_detail" (
  "tid" uuid NOT NULL,
  "did" uuid NOT NULL,
  "key" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "val_arr" varchar(255) COLLATE "pg_catalog"."default",
  "val_dep" varchar(255) COLLATE "pg_catalog"."default",
  "ctime" timestamp(6) DEFAULT now(),
  "mtime" timestamp(6) DEFAULT now(),
  CONSTRAINT "trep_sta_detail_pkey" PRIMARY KEY ("tid", "did", "key")
)
;

ALTER TABLE "public"."trep_sta_detail" OWNER TO "postgres";

COMMENT ON COLUMN "public"."trep_sta_detail"."tid" IS '租户id';

COMMENT ON COLUMN "public"."trep_sta_detail"."did" IS '设备id';

COMMENT ON COLUMN "public"."trep_sta_detail"."key" IS '属性key';

COMMENT ON COLUMN "public"."trep_sta_detail"."val_arr" IS '首次统计属性值';

COMMENT ON COLUMN "public"."trep_sta_detail"."val_dep" IS '最后统计属性值';

COMMENT ON COLUMN "public"."trep_sta_detail"."ctime" IS '创建时间';

COMMENT ON COLUMN "public"."trep_sta_detail"."mtime" IS '修改时间';

CREATE TABLE "public"."trep_total_detail" (
  "tid" uuid NOT NULL,
  "did" uuid NOT NULL,
  "key" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "val_arr" varchar(255) COLLATE "pg_catalog"."default",
  "val_dep" varchar(255) COLLATE "pg_catalog"."default",
  "ctime" timestamp(6) DEFAULT now(),
  "mtime" timestamp(6) DEFAULT now(),
  CONSTRAINT "trep_total_detail_pkey" PRIMARY KEY ("tid", "did", "key")
)
;

ALTER TABLE "public"."trep_total_detail" OWNER TO "postgres";

COMMENT ON COLUMN "public"."trep_total_detail"."tid" IS '租户id';

COMMENT ON COLUMN "public"."trep_total_detail"."did" IS '设备id';

COMMENT ON COLUMN "public"."trep_total_detail"."key" IS '属性key';

COMMENT ON COLUMN "public"."trep_total_detail"."val_arr" IS '首次统计属性值';

COMMENT ON COLUMN "public"."trep_total_detail"."val_dep" IS '最后统计属性值';

COMMENT ON COLUMN "public"."trep_total_detail"."ctime" IS '创建时间';

COMMENT ON COLUMN "public"."trep_total_detail"."mtime" IS '修改时间';

CREATE TABLE "public"."trep_yield_detail" (
  "tid" uuid NOT NULL,
  "did" uuid NOT NULL,
  "bdate" date NOT NULL,
  "key" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "key_yield" varchar(255) COLLATE "pg_catalog"."default" NOT NULL,
  "val_arr" varchar(255) COLLATE "pg_catalog"."default",
  "val_dep" varchar(255) COLLATE "pg_catalog"."default",
  "val_yield" varchar(255) COLLATE "pg_catalog"."default",
  "ctime" timestamp(6),
  "mtime" timestamp(6),
  CONSTRAINT "trep_yield_detail_pkey" PRIMARY KEY ("tid", "did", "bdate", "key", "key_yield")
)
;

ALTER TABLE "public"."trep_yield_detail" OWNER TO "postgres";

COMMENT ON COLUMN "public"."trep_yield_detail"."tid" IS '租户ID';

COMMENT ON COLUMN "public"."trep_yield_detail"."did" IS '设备ID';

COMMENT ON COLUMN "public"."trep_yield_detail"."bdate" IS '营业日期';

COMMENT ON COLUMN "public"."trep_yield_detail"."key" IS '能耗属性名称key';

COMMENT ON COLUMN "public"."trep_yield_detail"."key_yield" IS '对应产量key';

COMMENT ON COLUMN "public"."trep_yield_detail"."val_arr" IS '开始值';

COMMENT ON COLUMN "public"."trep_yield_detail"."val_dep" IS '能耗结束值';

COMMENT ON COLUMN "public"."trep_yield_detail"."val_yield" IS '产量数据';

COMMENT ON COLUMN "public"."trep_yield_detail"."ctime" IS '开始时间';

COMMENT ON COLUMN "public"."trep_yield_detail"."mtime" IS '结束时间';

CREATE TABLE "public"."user_role_relation" (
  "id" uuid NOT NULL,
  "created_time" int8,
  "created_user" uuid,
  "tenant_id" uuid,
  "updated_time" int8,
  "updated_user" uuid,
  "notes" varchar(255) COLLATE "pg_catalog"."default",
  "role_id" uuid,
  "user_id" uuid,
  CONSTRAINT "user_role_relation_pkey1" PRIMARY KEY ("id")
)
;

ALTER TABLE "public"."user_role_relation" OWNER TO "postgres";

ALTER TABLE "public"."hs_level_role" ADD CONSTRAINT "fkdksrna0gfh9ct8lth5gq8inyb" FOREIGN KEY ("role_id") REFERENCES "public"."hs_role" ("id") ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE "public"."hs_level_role" ADD CONSTRAINT "fkkn8ks2krh0ktkoxf0itq8yx9a" FOREIGN KEY ("p_id") REFERENCES "public"."hs_role" ("id") ON DELETE NO ACTION ON UPDATE NO ACTION;

SELECT setval('"public"."trep_sta_detail_id"', 20, true);

ALTER SEQUENCE "public"."trep_sta_detail_id" OWNER TO "postgres";

SELECT setval('"public"."trep_sta_hdetail_aid_seq"', 4435330, true);

ALTER SEQUENCE "public"."trep_sta_hdetail_aid_seq"
OWNED BY "public"."trep_hsta_detail"."aid";

ALTER SEQUENCE "public"."trep_sta_hdetail_aid_seq" OWNER TO "postgres";

CREATE OR REPLACE FUNCTION "public"."connectby"(text, text, text, text, text, int4)
  RETURNS SETOF "pg_catalog"."record" AS '$libdir/tablefunc', 'connectby_text_serial'
  LANGUAGE c STABLE STRICT
  COST 1
  ROWS 1000;

ALTER FUNCTION "public"."connectby"(text, text, text, text, text, int4) OWNER TO "postgres";

CREATE OR REPLACE FUNCTION "public"."connectby"(text, text, text, text, int4, text)
  RETURNS SETOF "pg_catalog"."record" AS '$libdir/tablefunc', 'connectby_text'
  LANGUAGE c STABLE STRICT
  COST 1
  ROWS 1000;

ALTER FUNCTION "public"."connectby"(text, text, text, text, int4, text) OWNER TO "postgres";

CREATE OR REPLACE FUNCTION "public"."connectby"(text, text, text, text, int4)
  RETURNS SETOF "pg_catalog"."record" AS '$libdir/tablefunc', 'connectby_text'
  LANGUAGE c STABLE STRICT
  COST 1
  ROWS 1000;

ALTER FUNCTION "public"."connectby"(text, text, text, text, int4) OWNER TO "postgres";

CREATE OR REPLACE FUNCTION "public"."connectby"(text, text, text, text, text, int4, text)
  RETURNS SETOF "pg_catalog"."record" AS '$libdir/tablefunc', 'connectby_text_serial'
  LANGUAGE c STABLE STRICT
  COST 1
  ROWS 1000;

ALTER FUNCTION "public"."connectby"(text, text, text, text, text, int4, text) OWNER TO "postgres";

CREATE OR REPLACE FUNCTION "public"."creatdata2"()
  RETURNS "pg_catalog"."bool" AS $BODY$
declare ii integer;
 begin
 II:=1;
 FOR ii IN 1..1000000000 LOOP
 INSERT INTO ipm_model_history_data (res_model, res_id) VALUES (116, ii);
 end loop;
 return true;
 end;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;

ALTER FUNCTION "public"."creatdata2"() OWNER TO "postgres";

CREATE OR REPLACE FUNCTION "public"."crosstab"(text, text)
  RETURNS SETOF "pg_catalog"."record" AS '$libdir/tablefunc', 'crosstab_hash'
  LANGUAGE c STABLE STRICT
  COST 1
  ROWS 1000;

ALTER FUNCTION "public"."crosstab"(text, text) OWNER TO "postgres";

CREATE OR REPLACE FUNCTION "public"."crosstab"(text)
  RETURNS SETOF "pg_catalog"."record" AS '$libdir/tablefunc', 'crosstab'
  LANGUAGE c STABLE STRICT
  COST 1
  ROWS 1000;

ALTER FUNCTION "public"."crosstab"(text) OWNER TO "postgres";

CREATE OR REPLACE FUNCTION "public"."crosstab"(text, int4)
  RETURNS SETOF "pg_catalog"."record" AS '$libdir/tablefunc', 'crosstab'
  LANGUAGE c STABLE STRICT
  COST 1
  ROWS 1000;

ALTER FUNCTION "public"."crosstab"(text, int4) OWNER TO "postgres";

CREATE OR REPLACE FUNCTION "public"."crosstab2"(text)
  RETURNS SETOF "public"."tablefunc_crosstab_2" AS '$libdir/tablefunc', 'crosstab'
  LANGUAGE c STABLE STRICT
  COST 1
  ROWS 1000;

ALTER FUNCTION "public"."crosstab2"(text) OWNER TO "postgres";

CREATE OR REPLACE FUNCTION "public"."crosstab3"(text)
  RETURNS SETOF "public"."tablefunc_crosstab_3" AS '$libdir/tablefunc', 'crosstab'
  LANGUAGE c STABLE STRICT
  COST 1
  ROWS 1000;

ALTER FUNCTION "public"."crosstab3"(text) OWNER TO "postgres";

CREATE OR REPLACE FUNCTION "public"."crosstab4"(text)
  RETURNS SETOF "public"."tablefunc_crosstab_4" AS '$libdir/tablefunc', 'crosstab'
  LANGUAGE c STABLE STRICT
  COST 1
  ROWS 1000;

ALTER FUNCTION "public"."crosstab4"(text) OWNER TO "postgres";

CREATE OR REPLACE FUNCTION "public"."f_get_employee"()
  RETURNS SETOF "public"."trep_group_detail" AS $BODY$
								select * from trep_group_detail t where t.bdate BETWEEN '2023-02-01'::date and '2023-02-28'::date;
$BODY$
  LANGUAGE sql VOLATILE
  COST 100
  ROWS 1000;

ALTER FUNCTION "public"."f_get_employee"() OWNER TO "postgres";

CREATE OR REPLACE FUNCTION "public"."normal_rand"(int4, float8, float8)
  RETURNS SETOF "pg_catalog"."float8" AS '$libdir/tablefunc', 'normal_rand'
  LANGUAGE c VOLATILE STRICT
  COST 1
  ROWS 1000;

ALTER FUNCTION "public"."normal_rand"(int4, float8, float8) OWNER TO "postgres";

CREATE VIEW "public"."v_device" AS  SELECT c.id,
    c.name,
    c.tenant_id,
    c.group_id,
    c.group_name,
    c.workshop_id,
    c.workshop_name,
        CASE
            WHEN c.gateway = 'false'::text THEN c.factory_id
            ELSE d.id
        END AS factory_id,
        CASE
            WHEN c.gateway = 'false'::text THEN c.factory_name
            ELSE d.title
        END AS factory_name,
    c.gateway,
    c.created_time,
    c.created_time_format
   FROM ( SELECT a.id,
            a.name,
            a.tenant_id,
            b.id AS group_id,
            b.name AS group_name,
            c_1.id AS workshop_id,
            c_1.name AS workshop_name,
            d_1.id AS factory_id,
            d_1.title AS factory_name,
                CASE
                    WHEN (a.additional_info::jsonb ->> 'gateway'::text) IS NOT NULL THEN a.additional_info::jsonb ->> 'gateway'::text
                    ELSE 'false'::text
                END AS gateway,
            a.created_time,
            to_char(to_timestamp((a.created_time / 1000)::double precision), 'YYYY-MM-DD HH24:MI:SS'::text) AS created_time_format
           FROM device a
             LEFT JOIN relation ab ON ab.to_id = a.id AND ab.to_type::text = 'DEVICE'::text AND ab.from_type::text = 'ASSET'::text AND ab.relation_type_group::text = 'COMMON'::text AND ab.relation_type::text = 'Contains'::text
             LEFT JOIN ( SELECT b_1.id,
                    b_1.created_time,
                    b_1.additional_info,
                    b_1.customer_id,
                    b_1.name,
                    b_1.label,
                    b_1.search_text,
                    b_1.tenant_id,
                    b_1.type,
                    b_1.external_id,
                    b_1.asset_profile_id
                   FROM asset b_1
                  WHERE b_1.type::text = 'group'::text) b ON b.id = ab.from_id
             LEFT JOIN relation bc ON bc.to_id = b.id AND bc.to_type::text = 'ASSET'::text AND bc.from_type::text = 'ASSET'::text AND bc.relation_type_group::text = 'COMMON'::text AND bc.relation_type::text = 'Contains'::text
             LEFT JOIN ( SELECT b_1.id,
                    b_1.created_time,
                    b_1.additional_info,
                    b_1.customer_id,
                    b_1.name,
                    b_1.label,
                    b_1.search_text,
                    b_1.tenant_id,
                    b_1.type,
                    b_1.external_id,
                    b_1.asset_profile_id
                   FROM asset b_1
                  WHERE b_1.type::text = 'workshop'::text) c_1 ON c_1.id = bc.from_id
             LEFT JOIN relation cd_1 ON cd_1.to_id = c_1.id AND cd_1.to_type::text = 'ASSET'::text AND cd_1.from_type::text = 'CUSTOMER'::text AND cd_1.relation_type_group::text = 'COMMON'::text AND cd_1.relation_type::text = 'Contains'::text
             LEFT JOIN customer d_1 ON d_1.id = cd_1.from_id) c
     LEFT JOIN relation cd ON cd.to_id = c.id AND c.gateway = 'true'::text AND cd.to_type::text = 'DEVICE'::text AND cd.from_type::text = 'CUSTOMER'::text AND cd.relation_type_group::text = 'COMMON'::text AND cd.relation_type::text = 'Contains'::text
     LEFT JOIN customer d ON d.id = cd.from_id;

ALTER TABLE "public"."v_device" OWNER TO "postgres";

CREATE VIEW "public"."v_device_from_gateway" AS  SELECT a.id,
    a.name,
    a.tenant_id,
    a.factory_id,
    a.factory_name,
    a.workshop_id,
    a.workshop_name,
    a.group_id,
    a.group_name,
    a.created_time,
    a.created_time_format,
    a.gid::uuid AS gid,
    b.name AS gname,
    c.factory_id AS g_factory_id,
    c.factory_name AS g_factory_name
   FROM ( SELECT a_1.id,
            a_1.name,
            a_1.tenant_id,
            a_1.factory_id,
            a_1.factory_name,
            a_1.workshop_id,
            a_1.workshop_name,
            a_1.group_id,
            a_1.group_name,
            a_1.gateway,
            a_1.created_time,
            a_1.created_time_format,
                CASE
                    WHEN (b_1.additional_info::jsonb ->> 'lastConnectedGateway'::text) IS NOT NULL THEN b_1.additional_info::jsonb ->> 'lastConnectedGateway'::text
                    ELSE NULL::text
                END AS gid
           FROM v_device a_1,
            device b_1
          WHERE a_1.id = b_1.id AND a_1.gateway <> 'true'::text) a
     LEFT JOIN device b ON a.gid = b.id::text
     LEFT JOIN v_device c ON b.id = c.id AND c.gateway = 'true'::text;

ALTER TABLE "public"."v_device_from_gateway" OWNER TO "postgres";

CREATE VIEW "public"."vcode_key_detail" AS  SELECT hs.tenant_id AS tid,
    hs.factory_id AS fid,
    hs.factory_name AS fname,
    hs.workshop_id AS wid,
    hs.workshop_name AS wname,
    hs.group_id AS grpid,
    hs.group_name AS grpname,
    hs.gateway_id AS gid,
    hs.gateway_name AS gname,
    hs.key,
    hs.key_id,
    hs.entity_id AS did,
    hs.enable,
    hs.device_name AS dname,
    hs.device_type,
    hs.history_lower,
    hs.history_upper,
    hs.volume_on_day,
    concat(ts1.dbl_v, ts1.long_v, ts1.str_v) AS val,
    ts1.dbl_v,
    ts1.long_v,
    ts1.str_v,
    ts1.bool_v,
    ts1.json_v,
    ts1.ts,
    to_char(timezone('UTC-8'::text, to_timestamp((ts1.ts / 1000)::double precision)), 'yyyy-MM-dd HH24:MI:SS'::text) AS update_time
   FROM ts_kv_latest ts1,
    hs_last_expand_extension hs
  WHERE ts1.entity_id = hs.entity_id AND ts1.key = hs.key_id;

ALTER TABLE "public"."vcode_key_detail" OWNER TO "postgres";

CREATE INDEX "idx_device_electric_device" ON "public"."hs_device_electric" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "device_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_electric_factory" ON "public"."hs_device_electric" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "factory_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_electric_hour_device" ON "public"."hs_device_electric_hour" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "device_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "hour_time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_electric_hour_factory" ON "public"."hs_device_electric_hour" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "factory_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "hour_time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_energy_day" ON "public"."hs_device_energy_day" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "type" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST,
  "device_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "time" "pg_catalog"."int8_ops" ASC NULLS LAST,
  "dimension" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_energy_hour" ON "public"."hs_device_energy_hour" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "type" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST,
  "device_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_gas_device" ON "public"."hs_device_gas" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "device_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_gas_factory" ON "public"."hs_device_gas" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "factory_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_gas_hour_device" ON "public"."hs_device_gas_hour" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "device_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "hour_time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_gas_hour_factory" ON "public"."hs_device_gas_hour" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "factory_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "hour_time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_switch_device" ON "public"."hs_device_switch" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "device_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_switch_factory" ON "public"."hs_device_switch" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "factory_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_switch_hour_device" ON "public"."hs_device_switch_hour" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "device_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "hour_time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_switch_hour_factory" ON "public"."hs_device_switch_hour" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "factory_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "hour_time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_switch_trend" ON "public"."hs_device_switch_trend" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "device_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "start_time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_ts_device" ON "public"."hs_device_ts" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "device_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_ts_factory" ON "public"."hs_device_ts" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "factory_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_ts_hour_device" ON "public"."hs_device_ts_hour" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "device_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "hour_time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_ts_hour_factory" ON "public"."hs_device_ts_hour" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "factory_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "hour_time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_water_device" ON "public"."hs_device_water" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "device_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_water_factory" ON "public"."hs_device_water" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "factory_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_water_hour_device" ON "public"."hs_device_water_hour" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "device_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "hour_time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_device_water_hour_factory" ON "public"."hs_device_water_hour" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "factory_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "hour_time" "pg_catalog"."int8_ops" ASC NULLS LAST
);

CREATE INDEX "idx_weather" ON "public"."hs_weather" USING btree (
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "factory_id" "pg_catalog"."uuid_ops" ASC NULLS LAST
);

CREATE UNIQUE INDEX "tcode_base_item_code_val_tenant_id_idx" ON "public"."tcode_base" USING btree (
  "item" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST,
  "code" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST,
  "val" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST,
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST
);

CREATE UNIQUE INDEX "tcode_device_index" ON "public"."tcode_device" USING btree (
  "id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "did" "pg_catalog"."uuid_ops" ASC NULLS LAST
);

CREATE UNIQUE INDEX "tcode_model_ex_index" ON "public"."tcode_model_ex" USING btree (
  "tid" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "code" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST
);

CREATE UNIQUE INDEX "tcode_model_index" ON "public"."tcode_model" USING btree (
  "id" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "code" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST
);

CREATE INDEX "tcode_unit_descript_tenant_id_idx" ON "public"."tcode_unit" USING btree (
  "descript" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST,
  "tenant_id" "pg_catalog"."uuid_ops" ASC NULLS LAST
);

CREATE UNIQUE INDEX "trep_dkey_detail_index" ON "public"."trep_dkey_detail" USING btree (
  "tid" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "did" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "key" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST,
  "bdate" "pg_catalog"."date_ops" ASC NULLS LAST
);

CREATE UNIQUE INDEX "trep_group_detail_index" ON "public"."trep_group_detail" USING btree (
  "tid" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "did" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "key" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST,
  "bdate" "pg_catalog"."date_ops" ASC NULLS LAST,
  "grpcode" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST
);

CREATE UNIQUE INDEX "trep_hkey_detail_index1" ON "public"."trep_hkey_detail" USING btree (
  "tid" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "did" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "key" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST,
  "bdate" "pg_catalog"."date_ops" ASC NULLS LAST,
  "hours" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST,
  "val" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST
);

CREATE INDEX "trep_hsta_detail_tid_idx" ON "public"."trep_hsta_detail" USING btree (
  "tid" "pg_catalog"."uuid_ops" ASC NULLS LAST
);

CREATE UNIQUE INDEX "trep_sta_detail_index1" ON "public"."trep_sta_detail" USING btree (
  "tid" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "did" "pg_catalog"."uuid_ops" ASC NULLS LAST,
  "key" COLLATE "pg_catalog"."default" "pg_catalog"."text_ops" ASC NULLS LAST
);

INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('ad4cd5a0-37dc-11ed-b2f0-013aa5277d02', 'XTCD1663565645807', '仪表看板', 0, 1, NULL, NULL, 'dashboard', NULL, 'Global', 1663565645833, '85088750-1ea1-11ed-a8be-71239561244e', '1663565645833', NULL, 'PC', NULL, 'f', 'dashboard.dashboard-view');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('cfb48340-37dc-11ed-b2f0-013aa5277d02', 'XTCD1663565703539', '大屏看板', 1, 2, NULL, 'ad4cd5a0-37dc-11ed-b2f0-013aa5277d02', 'mdi:large-screen-dashboard', NULL, 'Global', 1663569960126, '85088750-1ea1-11ed-a8be-71239561244e', '1663569960126', '85088750-1ea1-11ed-a8be-71239561244e', 'PC', '/largeScreenDashboard', 'f', 'dashboard.largescreen-dashboard');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('bdba8e90-37e2-11ed-b2f0-013aa5277d02', 'XTCD1663568250360', 'PC仪表看板', 1, 3, NULL, 'ad4cd5a0-37dc-11ed-b2f0-013aa5277d02', 'mdi:monitor-dashboard', NULL, 'Global', 1663569968676, '85088750-1ea1-11ed-a8be-71239561244e', '1663569968676', '85088750-1ea1-11ed-a8be-71239561244e', 'PC', '/dashboardView', 'f', 'dashboard.dashboard-view-pc');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('18036750-37e8-11ed-9cee-ab412dc6d429', 'XTCD1663570549299', '工厂管理', 1, 5, NULL, 'f6ad4630-37e6-11ed-9cee-ab412dc6d429', 'mdi:factory', NULL, 'Global', 1663570574334, '85088750-1ea1-11ed-a8be-71239561244e', '1663570574334', '85088750-1ea1-11ed-a8be-71239561244e', 'PC', '/factories', 'f', 'factory.factory-mng');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('4c5da7e0-37e8-11ed-9cee-ab412dc6d429', 'XTCD1663570637148', '设备列表', 1, 6, NULL, 'f6ad4630-37e6-11ed-9cee-ab412dc6d429', 'mdi:devices', NULL, 'Global', 1663570646671, '85088750-1ea1-11ed-a8be-71239561244e', '1663570646671', '85088750-1ea1-11ed-a8be-71239561244e', 'PC', '/deviceList', 'f', 'device.device-list');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('782a4590-37e8-11ed-aa50-33c3c4d399b5', 'XTCD1663570710633', '网关列表', 1, 7, NULL, 'f6ad4630-37e6-11ed-9cee-ab412dc6d429', 'router', NULL, 'Global', 1663570710695, '85088750-1ea1-11ed-a8be-71239561244e', '1663570710695', NULL, 'PC', '/gateway', 'f', 'gateway.gateway-devices');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('f6ad4630-37e6-11ed-9cee-ab412dc6d429', 'XTCD1663570063876', '设备管理', 0, 4, NULL, NULL, 'devices', NULL, 'Global', 1663570725071, '85088750-1ea1-11ed-a8be-71239561244e', '1663570725071', '85088750-1ea1-11ed-a8be-71239561244e', 'PC', NULL, 'f', 'device.management');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('b1a8e650-37e8-11ed-aa50-33c3c4d399b5', 'XTCD1663570807093', '权限管理', 0, 8, NULL, NULL, 'verified_user', NULL, 'Global', 1663570819083, '85088750-1ea1-11ed-a8be-71239561244e', '1663570819083', '85088750-1ea1-11ed-a8be-71239561244e', 'PC', NULL, 'f', 'auth-mng.auth-mng');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('13243100-37e9-11ed-aa50-33c3c4d399b5', 'XTCD1663570970640', '小程序申请', 1, 9, NULL, 'b1a8e650-37e8-11ed-aa50-33c3c4d399b5', 'mdi:applet', NULL, 'Global', 1663570970641, '85088750-1ea1-11ed-a8be-71239561244e', '1663570970641', NULL, 'PC', '/authManagement/appletManagement', 'f', 'auth-mng.applet-mng');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('296c1450-37e9-11ed-aa50-33c3c4d399b5', 'XTCD1663571008021', '用户管理', 1, 10, NULL, 'b1a8e650-37e8-11ed-aa50-33c3c4d399b5', 'people', NULL, 'Global', 1663571008022, '85088750-1ea1-11ed-a8be-71239561244e', '1663571008022', NULL, 'PC', '/authManagement/userManagement', 'f', 'auth-mng.user-mng');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('546905f0-37e9-11ed-aa50-33c3c4d399b5', 'XTCD1663571080143', '角色管理', 1, 11, NULL, 'b1a8e650-37e8-11ed-aa50-33c3c4d399b5', 'mdi:shield-account', NULL, 'Global', 1663571080144, '85088750-1ea1-11ed-a8be-71239561244e', '1663571080144', NULL, 'PC', '/authManagement/roleManagemnet', 'f', 'auth-mng.role-mng');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'XTCD1663571172105', '平台管理', 0, 12, NULL, NULL, 'mdi:platform-mng', NULL, 'Global', 1663571172106, '85088750-1ea1-11ed-a8be-71239561244e', '1663571172106', NULL, 'PC', NULL, 'f', 'platform.platform-mng');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('0cbcb0e0-f2d2-11ed-8683-bfc262abdbec', 'XTCD1684121948907', '大屏管理', 1, 47, NULL, '8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'mdi:monitor-dashboard', NULL, 'Global', 1684121949056, 'abd5b000-38ce-11ed-be80-751173af0b60', '1684121949056', NULL, 'PC', '/platformManagement/dashboardManagement', 'f', 'platform-mng.dashboard-mng');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('01c89170-37ea-11ed-aa50-33c3c4d399b5', 'XTCD1663571371015', '规则链库', 1, 14, NULL, '8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'settings_ethernet', NULL, 'Global', 1663571371016, '85088750-1ea1-11ed-a8be-71239561244e', '1663571371016', NULL, 'PC', '/ruleChains', 'f', 'rulechain.rulechains');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('ff09f130-37ea-11ed-aa50-33c3c4d399b5', 'XTCD1663571795907', '实体视图', 1, 15, NULL, '8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'view_quilt', NULL, 'Global', 1663571795907, '85088750-1ea1-11ed-a8be-71239561244e', '1663571795907', NULL, 'PC', '/entityViews', 'f', 'entity-view.entity-views');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('12f8c950-37eb-11ed-aa50-33c3c4d399b5', 'XTCD1663571829349', '部件库', 1, 16, NULL, '8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'now_widgets', NULL, 'Global', 1663571829350, '85088750-1ea1-11ed-a8be-71239561244e', '1663571829350', NULL, 'PC', '/widgets-bundles', 'f', 'widget.widget-library');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('bbab6e90-37eb-11ed-aa50-33c3c4d399b5', 'XTCD1663572112377', '仪表板库', 1, 17, NULL, '8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'dashboards', NULL, 'Global', 1663572112378, '85088750-1ea1-11ed-a8be-71239561244e', '1663572112378', NULL, 'PC', '/dashboards', 'f', 'dashboard.dashboards');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('372e63b0-37ec-11ed-aa50-33c3c4d399b5', 'XTCD1663572319595', '日志', 1, 18, NULL, '8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'track_changes', NULL, 'Global', 1663572319595, '85088750-1ea1-11ed-a8be-71239561244e', '1663572319595', NULL, 'PC', '/auditLogs', 'f', 'audit-log.audit-logs');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('842cc710-37ec-11ed-aa50-33c3c4d399b5', 'XTCD1663572448768', 'Api使用统计', 1, 19, NULL, '8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'insert_chart', NULL, 'Global', 1663572460669, '85088750-1ea1-11ed-a8be-71239561244e', '1663572460669', '85088750-1ea1-11ed-a8be-71239561244e', 'PC', '/usage', 'f', 'api-usage.api-usage');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('ebe275d0-37ec-11ed-aa50-33c3c4d399b5', 'XTCD1663572622765', '系统设置', 0, 20, NULL, NULL, 'settings', NULL, 'Global', 1663572622766, '85088750-1ea1-11ed-a8be-71239561244e', '1663572622766', NULL, 'PC', NULL, 'f', 'admin.system-settings');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('66bafa20-37ed-11ed-aa50-33c3c4d399b5', 'XTCD1663572828866', '首页设置', 1, 21, NULL, 'ebe275d0-37ec-11ed-aa50-33c3c4d399b5', 'settings_applications', NULL, 'Global', 1663572828866, '85088750-1ea1-11ed-a8be-71239561244e', '1663572828866', NULL, 'PC', '/settings/home', 'f', 'admin.home-settings');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('1fd0dfc0-37ee-11ed-aa50-33c3c4d399b5', 'XTCD1663573139388', '资源库', 1, 22, NULL, 'ebe275d0-37ec-11ed-aa50-33c3c4d399b5', 'folder', NULL, 'Global', 1663573139389, '85088750-1ea1-11ed-a8be-71239561244e', '1663573139389', NULL, 'PC', '/settings/resources-library', 'f', 'resource.resources-library');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('918f86c0-37ee-11ed-aa50-33c3c4d399b5', 'XTCD1663573330220', '对外接口', 0, 23, NULL, NULL, 'mdi:open-api', NULL, 'Global', 1663573330221, '85088750-1ea1-11ed-a8be-71239561244e', '1663573330221', NULL, 'PC', NULL, 'f', 'open-api.open-api');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('fdabc3f0-37ee-11ed-aa50-33c3c4d399b5', 'XTCD1663573511599', '外部应用管理', 1, 24, NULL, '918f86c0-37ee-11ed-aa50-33c3c4d399b5', 'mdi:app-mng', NULL, 'Global', 1663573511600, '85088750-1ea1-11ed-a8be-71239561244e', '1663573511600', NULL, 'PC', '/openApi/externalApplicationManagement', 'f', 'open-api.external-apps-mng');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('1b13fe80-37ef-11ed-aa50-33c3c4d399b5', 'XTCD1663573560936', '推送配置', 1, 25, NULL, '918f86c0-37ee-11ed-aa50-33c3c4d399b5', 'mdi:push', NULL, 'Global', 1663573560937, '85088750-1ea1-11ed-a8be-71239561244e', '1663573560937', NULL, 'PC', '/openApi/pushProfile', 'f', 'open-api.push-profile');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('1ca72bc0-7091-11ed-8bf2-4f22d574b734', 'XTCD1669800407163', '设备开停机报表', 1, 41, 'https://lowcode-engine.textile-saas.huansi.net/view.html?scenarioName=index&pageKey=junlin_day_sta_detail', '5faac9b0-3fa7-11ed-bef7-83ea816b6ac8', NULL, NULL, 'Global', 1669800407222, 'abd5b000-38ce-11ed-be80-751173af0b60', '1669800407222', NULL, 'PC', '/iframe/repSta', 'f', '设备开停机报表');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('3a59bc60-b456-11ed-84b0-43c6c676219c', 'XTCD1677251795750', '区间能耗报表', 1, 42, 'https://lowcode-engine.textile-saas.huansi.net/view.html?scenarioName=index&pageKey=pub_column_report', '5faac9b0-3fa7-11ed-bef7-83ea816b6ac8', NULL, NULL, 'Global', 1677251795770, 'abd5b000-38ce-11ed-be80-751173af0b60', '1677251795770', NULL, 'PC', '/iframe/columnReport', 'f', '区间能耗报表');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('6c4ef570-3e16-11ed-8c31-db1f098c911c', 'XTCD1664250154566', '电能看板', 0, 27, NULL, NULL, NULL, NULL, 'Global', 1664250154578, '85088750-1ea1-11ed-a8be-71239561244e', '1664250154578', NULL, 'APP', NULL, 'f', NULL);
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('79945400-3e16-11ed-8c31-db1f098c911c', 'XTCD1664250176832', '能耗看板', 0, 27, NULL, NULL, NULL, NULL, 'Global', 1664250176833, '85088750-1ea1-11ed-a8be-71239561244e', '1664250176833', NULL, 'APP', NULL, 'f', NULL);
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('8173dc90-3e16-11ed-8c31-db1f098c911c', 'XTCD1664250190041', '遥测点', 0, 27, NULL, NULL, NULL, NULL, 'Global', 1664250190042, '85088750-1ea1-11ed-a8be-71239561244e', '1664250190042', NULL, 'APP', NULL, 'f', NULL);
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('872e3b30-3e16-11ed-8c31-db1f098c911c', 'XTCD1664250199651', '抄表看板', 0, 27, NULL, NULL, NULL, NULL, 'Global', 1664250199653, '85088750-1ea1-11ed-a8be-71239561244e', '1664250199653', NULL, 'APP', NULL, 'f', NULL);
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('8d86ae90-3e16-11ed-8c31-db1f098c911c', 'XTCD1664250210297', '设备开停机', 0, 27, NULL, NULL, NULL, NULL, 'Global', 1664250210298, '85088750-1ea1-11ed-a8be-71239561244e', '1664250210298', NULL, 'APP', NULL, 'f', NULL);
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('b8b97ef0-3a81-11ed-a00f-a93ec7a146a6', 'XTCD1663856434271', '设备', 1, 26, NULL, 'f6ad4630-37e6-11ed-9cee-ab412dc6d429', 'mdi:devices', NULL, 'Global', 1664422385939, 'abd5b000-38ce-11ed-be80-751173af0b60', '1664422385939', 'abd5b000-38ce-11ed-be80-751173af0b60', 'PC', '/devices', 'f', 'device.devices');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('fb26e390-4a12-11ed-bc92-4daafd9d668b', 'XTCD1665568090185', '信息维护', 0, 30, NULL, NULL, 'mdi:maintenance', NULL, 'Global', 1665568090195, 'abd5b000-38ce-11ed-be80-751173af0b60', '1665568090195', NULL, 'PC', NULL, 'f', 'system-mng.system-mng');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('1891dd40-4a13-11ed-bc92-4daafd9d668b', 'XTCD1665568139540', '参数配置', 1, 31, NULL, 'fb26e390-4a12-11ed-bc92-4daafd9d668b', 'mdi:property-conf', NULL, 'Global', 1665568139541, 'abd5b000-38ce-11ed-be80-751173af0b60', '1665568139541', NULL, 'PC', '/systemManagement/properties', 'f', 'system-mng.property-configuration');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('2ff62d10-4a13-11ed-bc92-4daafd9d668b', 'XTCD1665568178785', '物模型', 1, 32, NULL, 'fb26e390-4a12-11ed-bc92-4daafd9d668b', 'mdi:digital-model', NULL, 'Global', 1665568178786, 'abd5b000-38ce-11ed-be80-751173af0b60', '1665568178786', NULL, 'PC', '/systemManagement/models', 'f', 'system-mng.digital-model');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('475dd840-4a13-11ed-bc92-4daafd9d668b', 'XTCD1665568218052', '电能看板', 1, 33, NULL, 'cfb48340-37dc-11ed-b2f0-013aa5277d02', 'mdi:large-screen-dashboard', NULL, 'Global', 1665568218053, 'abd5b000-38ce-11ed-be80-751173af0b60', '1665568218053', NULL, 'PC', NULL, 't', 'dashboard.electric-dashboard');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('5cb456b0-4a13-11ed-bc92-4daafd9d668b', 'XTCD1665568253851', '能耗看板', 1, 34, NULL, 'cfb48340-37dc-11ed-b2f0-013aa5277d02', 'mdi:large-screen-dashboard', NULL, 'Global', 1665568253852, 'abd5b000-38ce-11ed-be80-751173af0b60', '1665568253852', NULL, 'PC', NULL, 't', 'dashboard.energy-dashboard');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('77313120-4a13-11ed-bc92-4daafd9d668b', 'XTCD1665568298290', '设备开停机看板', 1, 35, NULL, 'cfb48340-37dc-11ed-b2f0-013aa5277d02', 'mdi:large-screen-dashboard', NULL, 'Global', 1665568298290, 'abd5b000-38ce-11ed-be80-751173af0b60', '1665568298290', NULL, 'PC', NULL, 't', 'dashboard.open-shutdown-dashboard');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('9fe4ddb0-c001-11ed-a07d-c3cbf506f4d9', 'XTCD1678534872835', '电子抄表', 1, 43, 'https://lowcode-engine.textile-saas.huansi.net/view.html?scenarioName=index&pageKey=pub_last_report', '5faac9b0-3fa7-11ed-bef7-83ea816b6ac8', NULL, NULL, 'Global', 1678534872853, 'abd5b000-38ce-11ed-be80-751173af0b60', '1678534872853', NULL, 'PC', '/iframe/lastReport', 'f', '电子抄表');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('531bd690-1642-11ee-b727-edc9b1890b14', 'XTCD1688018461303', 'OTA升级', 1, 48, NULL, '8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'memory', NULL, 'Global', 1688018552390, 'abd5b000-38ce-11ed-be80-751173af0b60', '1688018552390', 'abd5b000-38ce-11ed-be80-751173af0b60', 'PC', '/otaUpdates', 'f', 'ota-update.ota-updates');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('5faac9b0-3fa7-11ed-bef7-83ea816b6ac8', 'XTCD1664422361547', '设备报表-低代码', 0, 27, NULL, NULL, 'mdi:table', NULL, 'Global', 1666144392728, 'abd5b000-38ce-11ed-be80-751173af0b60', '1666144392728', 'abd5b000-38ce-11ed-be80-751173af0b60', 'PC', NULL, 'f', '设备报表');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('8b33ceb0-3fa7-11ed-bef7-83ea816b6ac8', 'XTCD1664422434587', '班组能耗', 1, 28, 'https://lowcode-engine.textile-saas.huansi.net/view.html?scenarioName=index&pageKey=junlin_group_detail', '5faac9b0-3fa7-11ed-bef7-83ea816b6ac8', '', NULL, 'Global', 1666158658234, 'abd5b000-38ce-11ed-be80-751173af0b60', '1666158658234', 'abd5b000-38ce-11ed-be80-751173af0b60', 'PC', '/iframe/groupEnergy', 'f', '班组能耗');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('66ab57e0-4842-11ed-af8a-cbe90563c5e2', 'XTCD1665368554590', '会计月度能耗', 1, 29, 'https://lowcode-engine.textile-saas.huansi.net/view.html?scenarioName=index&pageKey=junlin_month_detail', '5faac9b0-3fa7-11ed-bef7-83ea816b6ac8', NULL, NULL, 'Global', 1666158681840, 'abd5b000-38ce-11ed-be80-751173af0b60', '1666158681840', 'abd5b000-38ce-11ed-be80-751173af0b60', 'PC', '/iframe/repMonth', 'f', '会计月度能耗');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('e5562890-37e9-11ed-aa50-33c3c4d399b5', 'XTCD1663571323289', '设备配置', 1, 13, NULL, '8b394f90-37e9-11ed-aa50-33c3c4d399b5', 'mdi:alpha-d-box', NULL, 'Global', 1683277031369, '85088750-1ea1-11ed-a8be-71239561244e', '1683277031369', 'abd5b000-38ce-11ed-be80-751173af0b60', 'PC', '/profiles/deviceProfiles', 'f', 'device-profile.device-profiles');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('d7bf1190-4569-11ee-91cb-23f59766f287', 'XTCD1693203138857', '能源报表', 0, 52, NULL, NULL, 'mdi:table', NULL, 'Global', 1693203624072, 'abd5b000-38ce-11ed-be80-751173af0b60', '1693203624072', 'abd5b000-38ce-11ed-be80-751173af0b60', 'PC', NULL, 'f', '能源报表');

INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('a2360a70-4568-11ee-91cb-23f59766f287', 'XTCD1693202619543', '工厂日能耗分析', 1, 51, 'http://192.168.8.105:8888/#/fDailyEnergyanalysis', 'd7bf1190-4569-11ee-91cb-23f59766f287', NULL, NULL, 'Global', 1693205134680, 'abd5b000-38ce-11ed-be80-751173af0b60', '1693205134680', 'abd5b000-38ce-11ed-be80-751173af0b60', 'PC', '/iframe/dailyEnergyanalysis', 'f', '工厂日能耗分析');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('20f490a0-456b-11ee-91cb-23f59766f287', 'XTCD1693203691178', '半点能耗统计', 1, 53, 'http://192.168.8.105:8888/#/pubHalfEnergy', 'd7bf1190-4569-11ee-91cb-23f59766f287', NULL, NULL, 'Global', 1693228951835, 'abd5b000-38ce-11ed-be80-751173af0b60', '1693228951835', 'abd5b000-38ce-11ed-be80-751173af0b60', 'PC', '/iframe/pubHalfEnergy', 'f', '半点能耗统计');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('5b05ad60-456b-11ee-91cb-23f59766f287', 'XTCD1693203788598', '仪表当前读数', 1, 54, 'http://192.168.8.105:8888/#/pub_latest_telemetry', 'd7bf1190-4569-11ee-91cb-23f59766f287', NULL, NULL, 'Global', 1693229035599, 'abd5b000-38ce-11ed-be80-751173af0b60', '1693229035599', 'abd5b000-38ce-11ed-be80-751173af0b60', 'PC', '/iframe/pub_latest_telemetry', 'f', '仪表当前读数');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('941f4ac0-456b-11ee-91cb-23f59766f287', 'XTCD1693203884396', '能源仪表用量', 1, 55, 'http://192.168.8.105:8888/#/f_pub_trep_energy_detail', 'd7bf1190-4569-11ee-91cb-23f59766f287', NULL, NULL, 'Global', 1693229041552, 'abd5b000-38ce-11ed-be80-751173af0b60', '1693229041552', 'abd5b000-38ce-11ed-be80-751173af0b60', 'PC', '/iframe/f_pub_trep_energy_detail', 'f', '能源仪表用量');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('ca8e6190-456b-11ee-91cb-23f59766f287', 'XTCD1693203975721', '工厂能源分析', 1, 56, 'http://192.168.8.105:8888/#/factory_energy', 'd7bf1190-4569-11ee-91cb-23f59766f287', NULL, NULL, 'Global', 1693229048015, 'abd5b000-38ce-11ed-be80-751173af0b60', '1693229048015', 'abd5b000-38ce-11ed-be80-751173af0b60', 'PC', '/iframe/factoryEnergyAnalysis', 'f', '工厂能源分析');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('dde84cb0-456b-11ee-91cb-23f59766f287', 'XTCD1693204008187', '车间能源分析', 1, 57, 'http://192.168.8.105:8888/#/work_energy', 'd7bf1190-4569-11ee-91cb-23f59766f287', NULL, NULL, 'Global', 1693229053450, 'abd5b000-38ce-11ed-be80-751173af0b60', '1693229053450', 'abd5b000-38ce-11ed-be80-751173af0b60', 'PC', '/iframe/workEnergyAnalysis', 'f', '车间能源分析');
INSERT INTO "public"."tb_menu" ("id", "code", "name", "level", "sort", "url", "parent_id", "menu_icon", "menu_images", "region", "created_time", "created_user", "updated_time", "updated_user", "menu_type", "path", "is_button", "lang_key") VALUES ('f5c1a570-456b-11ee-91cb-23f59766f287', 'XTCD1693204048199', '设备能源分析', 1, 58, 'http://192.168.8.105:8888/#/device_energy', 'd7bf1190-4569-11ee-91cb-23f59766f287', NULL, NULL, 'Global', 1693229058813, 'abd5b000-38ce-11ed-be80-751173af0b60', '1693229058813', 'abd5b000-38ce-11ed-be80-751173af0b60', 'PC', '/iframe/EquipmentEnergyAnalysis', 'f', '设备能源分析');

update tb_user  set email='sysadmin@huansi.net' ,search_text ='sysadmin@huansi.net' where authority='SYS_ADMIN';

update user_credentials set "password" ='$2a$10$NwAGVsFrb3p74FY9oKKogurUfKlO9DrS3DXrSK40OmRLvjj/xegZy' where user_Id =(select id from  tb_user  where  authority='SYS_ADMIN');


-- PG 报表函数

CREATE OR REPLACE FUNCTION "public"."tmp_fname_energy"("start_year" int4, "end_year" int4, "tid" varchar)
  RETURNS "pg_catalog"."varchar" AS $BODY$ 
/*
table_name : 表名
row_name : 行名字段
cat : 转换为列名的字段
value_field : 转换为值的字段
*/
DECLARE 
v_sql text;
table_name_tmp text;
BEGIN
		table_name_tmp = 'tmp_fname_energy_table';
    v_sql = 'SELECT
								ROW_NUMBER() OVER (ORDER BY fname) AS "序号", 
								fname as "工厂名称", 
								name as "能源类型", 
								units as "单位", 
								SUM(val_lud::NUMERIC-val_std::NUMERIC) as "累计用量"';
								
						FOR _year IN start_year..end_year LOOP
						v_sql = v_sql||', SUM(CASE WHEN EXTRACT(YEAR FROM ctime) = '''||_year||''' THEN val_lud::NUMERIC - val_std::NUMERIC ELSE 0 END) AS "'||_year||'"';
						END LOOP;

						v_sql = v_sql||' FROM
										trep_energy 
						WHERE
										fname is not null and tid='''||tid||''' and
										ctime BETWEEN '''||start_year||'-01-01'||'''  and  '''||end_year||'-12-31'||'''
						GROUP BY EXTRACT(YEAR FROM ctime), fname, name, units ORDER BY fname, name';

						v_sql='
						drop table if exists '||table_name_tmp||';
						CREATE TABLE '||table_name_tmp||' as '||v_sql;
						EXECUTE v_sql;
						return v_sql;
end;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;

ALTER FUNCTION "public"."tmp_fname_energy"("start_year" int4, "end_year" int4, "tid" varchar) OWNER TO "postgres";

CREATE OR REPLACE FUNCTION "public"."tmp_device_energy"("start_year" int4, "end_year" int4, "tid" varchar)
  RETURNS "pg_catalog"."varchar" AS $BODY$ 
/*
table_name : 表名
row_name : 行名字段
cat : 转换为列名的字段
value_field : 转换为值的字段
*/
DECLARE 
v_sql text;
table_name_tmp text;
BEGIN
		table_name_tmp = 'tmp_device_energy_table';
    v_sql = 'SELECT
								ROW_NUMBER() OVER (ORDER BY fname) AS "序号", 
								fname as "工厂名称", 
								wname as "车间名称", 
								dname as "设备名称", 
								name as "能源类型", 
								units as "单位", 
								SUM(val_lud::NUMERIC-val_std::NUMERIC) as "累计用量"';
								
						FOR _year IN start_year..end_year LOOP
						v_sql = v_sql||', SUM(CASE WHEN EXTRACT(YEAR FROM ctime) = '''||_year||''' THEN val_lud::NUMERIC - val_std::NUMERIC ELSE 0 END) AS "'||_year||'"';
						END LOOP;

						v_sql = v_sql||' FROM
										trep_energy 
						WHERE
										fname is not null and tid='''||tid||''' and
										ctime BETWEEN '''||start_year||'-01-01'||'''  and  '''||end_year||'-12-31'||'''
						GROUP BY EXTRACT(YEAR FROM ctime), fname, wname, dname, name, units ORDER BY fname, wname, dname, name';

						v_sql='
						drop table if exists '||table_name_tmp||';
						CREATE TABLE '||table_name_tmp||' as '||v_sql;
						EXECUTE v_sql;
						return v_sql;
end;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION "public"."tmp_device_energy"("start_year" int4, "end_year" int4, "tid" varchar) OWNER TO "postgres";


CREATE OR REPLACE FUNCTION "public"."tmp_wname_energy"("start_year" int4, "end_year" int4, "tid" varchar)
  RETURNS "pg_catalog"."varchar" AS $BODY$ 
/*
table_name : 表名
row_name : 行名字段
cat : 转换为列名的字段
value_field : 转换为值的字段
*/
DECLARE 
v_sql text;
table_name_tmp text;
BEGIN
		table_name_tmp = 'tmp_wname_energy_table';
    v_sql = 'SELECT
								ROW_NUMBER() OVER (ORDER BY fname) AS "序号", 
								fname as "工厂名称", 
								wname as "车间名称", 
								name as "能源类型", 
								units as "单位", 
								SUM(val_lud::NUMERIC-val_std::NUMERIC) as "累计用量"';
								
						FOR _year IN start_year..end_year LOOP
						v_sql = v_sql||', SUM(CASE WHEN EXTRACT(YEAR FROM ctime) = '''||_year||''' THEN val_lud::NUMERIC - val_std::NUMERIC ELSE 0 END) AS "'||_year||'"';
						END LOOP;

						v_sql = v_sql||' FROM
										trep_energy 
						WHERE
										fname is not null and tid='''||tid||''' and
										ctime BETWEEN '''||start_year||'-01-01'||'''  and  '''||end_year||'-12-31'||'''
						GROUP BY EXTRACT(YEAR FROM ctime), fname, wname, name, units ORDER BY fname, wname, name';

						v_sql='
						drop table if exists '||table_name_tmp||';
						CREATE TABLE '||table_name_tmp||' as '||v_sql;
						EXECUTE v_sql;
						return v_sql;
end;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION "public"."tmp_wname_energy"("start_year" int4, "end_year" int4, "tid" varchar) OWNER TO "postgres";

CREATE OR REPLACE FUNCTION "public"."generate_dynamic_table_workshop"("year_value" int4, "month_value" int4, "tid" text)
  RETURNS "pg_catalog"."void" AS $BODY$
DECLARE
dynamic_sql TEXT;
date_values TEXT;
BEGIN
-- 构建日期列的排序字符串
SELECT string_agg('SUM(CASE WHEN date = ''' || date_value::TEXT || ''' THEN total END) AS "' || date_value::TEXT || '"', ',')
INTO date_values
FROM (
SELECT DISTINCT date_value::TEXT
FROM generate_month_dates(year_value, month_value)
ORDER BY date_value
) subquery;
-- 构建动态SQL查询
dynamic_sql := '
SELECT name,''工厂名称'' as fname,wname,units, ' || date_values || ', SUM(total) AS total_energy
FROM (
SELECT name,''工厂名称'' as fname,wname,units, DATE_TRUNC(''day'', ctime) AS date, round(SUM(TO_NUMBER(val_lud,''9999999999999999999.999'') - TO_NUMBER(val_std,''9999999999999999999.999'')),2) AS total
FROM trep_energy t
WHERE DATE_TRUNC(''day'', t.ctime) IN (
SELECT date_value
FROM generate_month_dates($1, $2)
)
AND t.tid = $3::UUID -- Filter by tid parameter
GROUP BY name, date, fname, wname, units
) subquery
GROUP BY name, fname, wname, units
ORDER BY fname,wname, name';
-- 删除临时表
EXECUTE 'DROP TABLE IF EXISTS tmp_target_table_workshop';
-- 创建临时表并插入数据
EXECUTE 'CREATE TABLE tmp_target_table_workshop AS ' || dynamic_sql
USING year_value, month_value, tid;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;

ALTER FUNCTION "public"."generate_dynamic_table_workshop"("year_value" int4, "month_value" int4, "tid" text) OWNER TO "postgres";

CREATE OR REPLACE FUNCTION "public"."generate_dynamic_table_f"("year_value" int4, "month_value" int4, "tid" text)
  RETURNS "pg_catalog"."void" AS $BODY$
DECLARE
dynamic_sql TEXT;
date_values TEXT;
BEGIN
-- 构建日期列的排序字符串
SELECT string_agg('SUM(CASE WHEN date = ''' || date_value::TEXT || ''' THEN total END) AS "' || date_value::TEXT || '"', ',')  INTO date_values
FROM (
SELECT DISTINCT date_value::TEXT
FROM generate_month_dates(year_value, month_value)
ORDER BY date_value
) subquery;
-- 构建动态SQL查询
dynamic_sql := '
SELECT ROW_NUMBER() OVER (ORDER BY fname, name) AS serial_number, name, fname, units, ' || date_values || ', SUM(total) as total_energy
FROM (
SELECT name, fname, units, DATE_TRUNC(''day'', ctime) AS date, round(SUM(TO_NUMBER(val_lud,''9999999999999999999.999'') - TO_NUMBER(val_std,''9999999999999999999.999'')),2) AS total
FROM trep_energy t
WHERE DATE_TRUNC(''day'', t.ctime) IN (
SELECT date_value
FROM generate_month_dates($1, $2)
)
AND t.tid = $3::UUID -- Filter by tid
GROUP BY name, date, fname, units
) subquery
GROUP BY name, fname, units
ORDER BY fname, name';
-- 删除临时表
EXECUTE 'DROP TABLE IF EXISTS tmp_target_table_f';
-- 创建临时表并插入数据
EXECUTE 'CREATE TABLE tmp_target_table_f AS ' || dynamic_sql
USING year_value, month_value, tid;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;

ALTER FUNCTION "public"."generate_dynamic_table_f"("year_value" int4, "month_value" int4, "tid" text) OWNER TO "postgres";

CREATE OR REPLACE FUNCTION "public"."generate_dynamic_table_jt"("year_value" int4, "month_value" int4, "tid" text, "wid" text=''::text)
  RETURNS "pg_catalog"."void" AS $BODY$
DECLARE  
  dynamic_sql TEXT; 
  date_values TEXT;
BEGIN  
  -- 构建日期列的排序字符串  
  SELECT string_agg('SUM(CASE WHEN date = ''' || date_value::TEXT || ''' THEN total END) AS "' || date_value::TEXT || '"', ',')  INTO date_values 
  FROM (
    SELECT DISTINCT date_value::TEXT
    FROM generate_month_dates(year_value, month_value)
    ORDER BY date_value
  ) subquery;
  
  -- 构建动态SQL查询 
  dynamic_sql := '    
    SELECT ROW_NUMBER() OVER (ORDER BY fname) AS serial_number, name,  fname, wname, dname, units, ' || date_values || ', SUM(total) as total_energy  
    FROM (
      SELECT name,  fname, wname, dname, units, DATE_TRUNC(''day'', ctime) AS date, round(SUM(TO_NUMBER(val_lud,''9999999999999999999.999'') - TO_NUMBER(val_std,''9999999999999999999.999'')),2) AS total   
      FROM trep_energy t     
      WHERE DATE_TRUNC(''day'', t.ctime) IN (     
        SELECT date_value     
        FROM generate_month_dates($1, $2)
      )    
      AND t.tid = $3::UUID 
      AND (t.wid = $4::UUID OR $4 IS NULL)
      GROUP BY name, date, fname, wname, dname, units    
    ) subquery   
    GROUP BY name, fname, wname, dname, units
    ORDER BY fname,wname, dname, name';   
  
  -- 删除临时表 
  EXECUTE 'DROP TABLE IF EXISTS tmp_target_table_jt';  
  -- 创建临时表并插入数据  
  EXECUTE 'CREATE TEMPORARY TABLE tmp_target_table_jt AS ' || dynamic_sql 
  USING year_value, month_value, tid, NULLIF(wid, '');  
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;

ALTER FUNCTION "public"."generate_dynamic_table_jt"("year_value" int4, "month_value" int4, "tid" text, "wid" text=''::text) OWNER TO "postgres";

CREATE OR REPLACE FUNCTION "public"."tmp_denergy_month"("year_int" int4, "tid" varchar)
  RETURNS "pg_catalog"."varchar" AS $BODY$ 
/*
table_name : 表名
row_name : 行名字段
cat : 转换为列名的字段
value_field : 转换为值的字段
*/
DECLARE v_sql text;
table_name_tmp text;
arow record;
BEGIN
		table_name_tmp = 'tmp_denergy_month';
    v_sql = 'SELECT
								ROW_NUMBER() OVER (ORDER BY wname) AS "wname", 
								wname as "车间名称", 
								name as "能源类型", 
								dname as "设备名称", 
								units as "单位", 
								SUM(val_lud::NUMERIC-val_std::NUMERIC) as "累计用量"';
								
						FOR arow IN (SELECT month_value FROM generate_year_months(2023)) LOOP
						v_sql = v_sql||', SUM(CASE WHEN EXTRACT(month FROM ctime) = '''||arow.month_value||''' THEN val_lud::NUMERIC - val_std::NUMERIC ELSE 0 END) AS "'||arow.month_value||'"';
						END LOOP;

						v_sql = v_sql||' FROM
										trep_energy 
						WHERE
										fname is not null and tid='''||tid||''' and
										EXTRACT(YEAR FROM ctime)='||year_int||'
						GROUP BY EXTRACT(month FROM ctime), wname, dname, name, units ORDER BY wname, dname, name';

						v_sql='
						drop table if exists '||table_name_tmp||';
						CREATE TABLE '||table_name_tmp||' as '||v_sql;
						EXECUTE v_sql;
						return v_sql;
end;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;

ALTER FUNCTION "public"."tmp_denergy_month"("year_int" int4, "tid" varchar) OWNER TO "postgres";

CREATE OR REPLACE FUNCTION "public"."tmp_fenergy_month"("year_int" int4, "tid" varchar)
  RETURNS "pg_catalog"."varchar" AS $BODY$ 
/*
table_name : 表名
row_name : 行名字段
cat : 转换为列名的字段
value_field : 转换为值的字段
*/
DECLARE v_sql text;
table_name_tmp text;
arow record;
BEGIN
		table_name_tmp = 'tmp_fenergy_month';
    v_sql = 'SELECT
								ROW_NUMBER() OVER (ORDER BY fname) AS "序号", 
								fname as "工厂名称", 
								name as "能源类型", 
								units as "单位", 
								SUM(val_lud::NUMERIC-val_std::NUMERIC) as "累计用量"';
								
						FOR arow IN (SELECT month_value FROM generate_year_months(year_int)) LOOP
						v_sql = v_sql||', SUM(CASE WHEN EXTRACT(month FROM ctime) = '''||arow.month_value||''' THEN val_lud::NUMERIC - val_std::NUMERIC ELSE 0 END) AS "'||arow.month_value||'"';
						END LOOP;

						v_sql = v_sql||' FROM
										trep_energy 
						WHERE
										fname is not null and tid='''||tid||''' and
										EXTRACT(YEAR FROM ctime)='||year_int||'
						GROUP BY EXTRACT(month FROM ctime), fname, name, units ORDER BY fname, name';

						v_sql='
						drop table if exists '||table_name_tmp||';
						CREATE TABLE '||table_name_tmp||' as '||v_sql;
						EXECUTE v_sql;
						return v_sql;
end;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;

ALTER FUNCTION "public"."tmp_fenergy_month"("year_int" int4, "tid" varchar) OWNER TO "postgres";

CREATE OR REPLACE FUNCTION "public"."tmp_wenergy_month"("year_int" int4, "tid" varchar)
  RETURNS "pg_catalog"."varchar" AS $BODY$ 
/*
table_name : 表名
row_name : 行名字段
cat : 转换为列名的字段
value_field : 转换为值的字段
*/
DECLARE v_sql text;
table_name_tmp text;
arow record;
BEGIN
		table_name_tmp = 'tmp_wenergy_month';
    v_sql = 'SELECT
								ROW_NUMBER() OVER (ORDER BY wname) AS "序号", 
								wname as "车间名称", 
								name as "能源类型", 
								units as "单位", 
								SUM(val_lud::NUMERIC-val_std::NUMERIC) as "累计用量"';
								
						FOR arow IN (SELECT month_value FROM generate_year_months(2023)) LOOP
						v_sql = v_sql||', SUM(CASE WHEN EXTRACT(month FROM ctime) = '''||arow.month_value||''' THEN val_lud::NUMERIC - val_std::NUMERIC ELSE 0 END) AS "'||arow.month_value||'"';
						END LOOP;

						v_sql = v_sql||' FROM
										trep_energy 
						WHERE
										fname is not null and tid='''||tid||''' and
										EXTRACT(YEAR FROM ctime)='||year_int||'
						GROUP BY EXTRACT(month FROM ctime), wname, name, units ORDER BY wname, name';

						v_sql='
						drop table if exists '||table_name_tmp||';
						CREATE TABLE '||table_name_tmp||' as '||v_sql;
						EXECUTE v_sql;
						return v_sql;
end;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;

ALTER FUNCTION "public"."tmp_wenergy_month"("year_int" int4, "tid" varchar) OWNER TO "postgres";